#pragma once

#include <QtCore/QObject>
#include <QtCore/QVariantMap>
#include <QtGui/QColor>
#include <QtQml/QQmlEngine>

namespace qml_material::token
{
class IconToken : public QObject {
    Q_OBJECT
    QML_ANONYMOUS
public:
    using QObject::QObject;

#define CODE(name, value)                                      \
    Q_PROPERTY(QString name MEMBER code_##name CONSTANT FINAL) \
    QString code_##name { value }

    CODE(123, "\ueb8d");
    CODE(360, "\ue577");
    CODE(10k, "\ue951");
    CODE(10mp, "\ue952");
    CODE(11mp, "\ue953");
    CODE(12mp, "\ue954");
    CODE(13mp, "\ue955");
    CODE(14mp, "\ue956");
    CODE(15mp, "\ue957");
    CODE(16mp, "\ue958");
    CODE(17mp, "\ue959");
    CODE(18_up_rating, "\uf8fd");
    CODE(18mp, "\ue95a");
    CODE(19mp, "\ue95b");
    CODE(1k, "\ue95c");
    CODE(1k_plus, "\ue95d");
    CODE(1x_mobiledata, "\uefcd");
    CODE(20mp, "\ue95e");
    CODE(21mp, "\ue95f");
    CODE(22mp, "\ue960");
    CODE(23mp, "\ue961");
    CODE(24mp, "\ue962");
    CODE(2k, "\ue963");
    CODE(2k_plus, "\ue964");
    CODE(2mp, "\ue965");
    CODE(30fps, "\uefce");
    CODE(30fps_select, "\uefcf");
    CODE(3d_rotation, "\ue84d");
    CODE(3g_mobiledata, "\uefd0");
    CODE(3k, "\ue966");
    CODE(3k_plus, "\ue967");
    CODE(3mp, "\ue968");
    CODE(3p, "\uefd1");
    CODE(4g_mobiledata, "\uefd2");
    CODE(4g_plus_mobiledata, "\uefd3");
    CODE(4k, "\ue072");
    CODE(4k_plus, "\ue969");
    CODE(4mp, "\ue96a");
    CODE(5g, "\uef38");
    CODE(5k, "\ue96b");
    CODE(5k_plus, "\ue96c");
    CODE(5mp, "\ue96d");
    CODE(60fps, "\uefd4");
    CODE(60fps_select, "\uefd5");
    CODE(6_ft_apart, "\uf21e");
    CODE(6k, "\ue96e");
    CODE(6k_plus, "\ue96f");
    CODE(6mp, "\ue970");
    CODE(7k, "\ue971");
    CODE(7k_plus, "\ue972");
    CODE(7mp, "\ue973");
    CODE(8k, "\ue974");
    CODE(8k_plus, "\ue975");
    CODE(8mp, "\ue976");
    CODE(9k, "\ue977");
    CODE(9k_plus, "\ue978");
    CODE(9mp, "\ue979");
    CODE(abc, "\ueb94");
    CODE(ac_unit, "\ueb3b");
    CODE(access_alarm, "\ue190");
    CODE(access_alarms, "\ue191");
    CODE(access_time, "\ue192");
    CODE(access_time_filled, "\uefd6");
    CODE(accessibility, "\ue84e");
    CODE(accessibility_new, "\ue92c");
    CODE(accessible, "\ue914");
    CODE(accessible_forward, "\ue934");
    CODE(account_balance, "\ue84f");
    CODE(account_balance_wallet, "\ue850");
    CODE(account_box, "\ue851");
    CODE(account_circle, "\ue853");
    CODE(account_tree, "\ue97a");
    CODE(ad_units, "\uef39");
    CODE(adb, "\ue60e");
    CODE(add, "\ue145");
    CODE(add_a_photo, "\ue439");
    CODE(add_alarm, "\ue193");
    CODE(add_alert, "\ue003");
    CODE(add_box, "\ue146");
    CODE(add_business, "\ue729");
    CODE(add_call, "\ue0e8");
    CODE(add_card, "\ueb86");
    CODE(add_chart, "\ue97b");
    CODE(add_circle, "\ue147");
    CODE(add_circle_outline, "\ue148");
    CODE(add_comment, "\ue266");
    CODE(add_home, "\uf8eb");
    CODE(add_home_work, "\uf8ed");
    CODE(add_ic_call, "\ue97c");
    CODE(add_link, "\ue178");
    CODE(add_location, "\ue567");
    CODE(add_location_alt, "\uef3a");
    CODE(add_moderator, "\ue97d");
    CODE(add_photo_alternate, "\ue43e");
    CODE(add_reaction, "\ue1d3");
    CODE(add_road, "\uef3b");
    CODE(add_shopping_cart, "\ue854");
    CODE(add_task, "\uf23a");
    CODE(add_to_drive, "\ue65c");
    CODE(add_to_home_screen, "\ue1fe");
    CODE(add_to_photos, "\ue39d");
    CODE(add_to_queue, "\ue05c");
    CODE(addchart, "\uef3c");
    CODE(adf_scanner, "\ueada");
    CODE(adjust, "\ue39e");
    CODE(admin_panel_settings, "\uef3d");
    CODE(adobe, "\uea96");
    CODE(ads_click, "\ue762");
    CODE(agriculture, "\uea79");
    CODE(air, "\uefd8");
    CODE(airline_seat_flat, "\ue630");
    CODE(airline_seat_flat_angled, "\ue631");
    CODE(airline_seat_individual_suite, "\ue632");
    CODE(airline_seat_legroom_extra, "\ue633");
    CODE(airline_seat_legroom_normal, "\ue634");
    CODE(airline_seat_legroom_reduced, "\ue635");
    CODE(airline_seat_recline_extra, "\ue636");
    CODE(airline_seat_recline_normal, "\ue637");
    CODE(airline_stops, "\ue7d0");
    CODE(airlines, "\ue7ca");
    CODE(airplane_ticket, "\uefd9");
    CODE(airplanemode_active, "\ue195");
    CODE(airplanemode_inactive, "\ue194");
    CODE(airplanemode_off, "\ue194");
    CODE(airplanemode_on, "\ue195");
    CODE(airplay, "\ue055");
    CODE(airport_shuttle, "\ueb3c");
    CODE(alarm, "\ue855");
    CODE(alarm_add, "\ue856");
    CODE(alarm_off, "\ue857");
    CODE(alarm_on, "\ue858");
    CODE(album, "\ue019");
    CODE(align_horizontal_center, "\ue00f");
    CODE(align_horizontal_left, "\ue00d");
    CODE(align_horizontal_right, "\ue010");
    CODE(align_vertical_bottom, "\ue015");
    CODE(align_vertical_center, "\ue011");
    CODE(align_vertical_top, "\ue00c");
    CODE(all_inbox, "\ue97f");
    CODE(all_inclusive, "\ueb3d");
    CODE(all_out, "\ue90b");
    CODE(alt_route, "\uf184");
    CODE(alternate_email, "\ue0e6");
    CODE(amp_stories, "\uea13");
    CODE(analytics, "\uef3e");
    CODE(anchor, "\uf1cd");
    CODE(android, "\ue859");
    CODE(animation, "\ue71c");
    CODE(announcement, "\ue85a");
    CODE(aod, "\uefda");
    CODE(apartment, "\uea40");
    CODE(api, "\uf1b7");
    CODE(app_blocking, "\uef3f");
    CODE(app_registration, "\uef40");
    CODE(app_settings_alt, "\uef41");
    CODE(app_shortcut, "\ueae4");
    CODE(apple, "\uea80");
    CODE(approval, "\ue982");
    CODE(apps, "\ue5c3");
    CODE(apps_outage, "\ue7cc");
    CODE(architecture, "\uea3b");
    CODE(archive, "\ue149");
    CODE(area_chart, "\ue770");
    CODE(arrow_back, "\ue5c4");
    CODE(arrow_back_ios, "\ue5e0");
    CODE(arrow_back_ios_new, "\ue2ea");
    CODE(arrow_circle_down, "\uf181");
    CODE(arrow_circle_left, "\ueaa7");
    CODE(arrow_circle_right, "\ueaaa");
    CODE(arrow_circle_up, "\uf182");
    CODE(arrow_downward, "\ue5db");
    CODE(arrow_drop_down, "\ue5c5");
    CODE(arrow_drop_down_circle, "\ue5c6");
    CODE(arrow_drop_up, "\ue5c7");
    CODE(arrow_forward, "\ue5c8");
    CODE(arrow_forward_ios, "\ue5e1");
    CODE(arrow_left, "\ue5de");
    CODE(arrow_outward, "\uf8ce");
    CODE(arrow_right, "\ue5df");
    CODE(arrow_right_alt, "\ue941");
    CODE(arrow_upward, "\ue5d8");
    CODE(art_track, "\ue060");
    CODE(article, "\uef42");
    CODE(aspect_ratio, "\ue85b");
    CODE(assessment, "\ue85c");
    CODE(assignment, "\ue85d");
    CODE(assignment_add, "\uf848");
    CODE(assignment_ind, "\ue85e");
    CODE(assignment_late, "\ue85f");
    CODE(assignment_return, "\ue860");
    CODE(assignment_returned, "\ue861");
    CODE(assignment_turned_in, "\ue862");
    CODE(assist_walker, "\uf8d5");
    CODE(assistant, "\ue39f");
    CODE(assistant_direction, "\ue988");
    CODE(assistant_navigation, "\ue989");
    CODE(assistant_photo, "\ue3a0");
    CODE(assured_workload, "\ueb6f");
    CODE(atm, "\ue573");
    CODE(attach_email, "\uea5e");
    CODE(attach_file, "\ue226");
    CODE(attach_money, "\ue227");
    CODE(attachment, "\ue2bc");
    CODE(attractions, "\uea52");
    CODE(attribution, "\uefdb");
    CODE(audio_file, "\ueb82");
    CODE(audiotrack, "\ue3a1");
    CODE(auto_awesome, "\ue65f");
    CODE(auto_awesome_mosaic, "\ue660");
    CODE(auto_awesome_motion, "\ue661");
    CODE(auto_delete, "\uea4c");
    CODE(auto_fix_high, "\ue663");
    CODE(auto_fix_normal, "\ue664");
    CODE(auto_fix_off, "\ue665");
    CODE(auto_graph, "\ue4fb");
    CODE(auto_mode, "\uec20");
    CODE(auto_stories, "\ue666");
    CODE(autofps_select, "\uefdc");
    CODE(autorenew, "\ue863");
    CODE(av_timer, "\ue01b");
    CODE(baby_changing_station, "\uf19b");
    CODE(back_hand, "\ue764");
    CODE(backpack, "\uf19c");
    CODE(backspace, "\ue14a");
    CODE(backup, "\ue864");
    CODE(backup_table, "\uef43");
    CODE(badge, "\uea67");
    CODE(bakery_dining, "\uea53");
    CODE(balance, "\ueaf6");
    CODE(balcony, "\ue58f");
    CODE(ballot, "\ue172");
    CODE(bar_chart, "\ue26b");
    CODE(barcode_reader, "\uf85c");
    CODE(batch_prediction, "\uf0f5");
    CODE(bathroom, "\uefdd");
    CODE(bathtub, "\uea41");
    CODE(battery_0_bar, "\uebdc");
    CODE(battery_1_bar, "\uebd9");
    CODE(battery_20, "\uf09c");
    CODE(battery_2_bar, "\uebe0");
    CODE(battery_30, "\uf09d");
    CODE(battery_3_bar, "\uebdd");
    CODE(battery_4_bar, "\uebe2");
    CODE(battery_50, "\uf09e");
    CODE(battery_5_bar, "\uebd4");
    CODE(battery_60, "\uf09f");
    CODE(battery_6_bar, "\uebd2");
    CODE(battery_80, "\uf0a0");
    CODE(battery_90, "\uf0a1");
    CODE(battery_alert, "\ue19c");
    CODE(battery_charging_20, "\uf0a2");
    CODE(battery_charging_30, "\uf0a3");
    CODE(battery_charging_50, "\uf0a4");
    CODE(battery_charging_60, "\uf0a5");
    CODE(battery_charging_80, "\uf0a6");
    CODE(battery_charging_90, "\uf0a7");
    CODE(battery_charging_full, "\ue1a3");
    CODE(battery_full, "\ue1a4");
    CODE(battery_saver, "\uefde");
    CODE(battery_std, "\ue1a5");
    CODE(battery_unknown, "\ue1a6");
    CODE(beach_access, "\ueb3e");
    CODE(bed, "\uefdf");
    CODE(bedroom_baby, "\uefe0");
    CODE(bedroom_child, "\uefe1");
    CODE(bedroom_parent, "\uefe2");
    CODE(bedtime, "\uef44");
    CODE(bedtime_off, "\ueb76");
    CODE(beenhere, "\ue52d");
    CODE(bento, "\uf1f4");
    CODE(bike_scooter, "\uef45");
    CODE(biotech, "\uea3a");
    CODE(blender, "\uefe3");
    CODE(blind, "\uf8d6");
    CODE(blinds, "\ue286");
    CODE(blinds_closed, "\uec1f");
    CODE(block, "\ue14b");
    CODE(block_flipped, "\uef46");
    CODE(bloodtype, "\uefe4");
    CODE(bluetooth, "\ue1a7");
    CODE(bluetooth_audio, "\ue60f");
    CODE(bluetooth_connected, "\ue1a8");
    CODE(bluetooth_disabled, "\ue1a9");
    CODE(bluetooth_drive, "\uefe5");
    CODE(bluetooth_searching, "\ue1aa");
    CODE(blur_circular, "\ue3a2");
    CODE(blur_linear, "\ue3a3");
    CODE(blur_off, "\ue3a4");
    CODE(blur_on, "\ue3a5");
    CODE(bolt, "\uea0b");
    CODE(book, "\ue865");
    CODE(book_online, "\uf217");
    CODE(bookmark, "\ue866");
    CODE(bookmark_add, "\ue598");
    CODE(bookmark_added, "\ue599");
    CODE(bookmark_border, "\ue867");
    CODE(bookmark_outline, "\ue867");
    CODE(bookmark_remove, "\ue59a");
    CODE(bookmarks, "\ue98b");
    CODE(border_all, "\ue228");
    CODE(border_bottom, "\ue229");
    CODE(border_clear, "\ue22a");
    CODE(border_color, "\ue22b");
    CODE(border_horizontal, "\ue22c");
    CODE(border_inner, "\ue22d");
    CODE(border_left, "\ue22e");
    CODE(border_outer, "\ue22f");
    CODE(border_right, "\ue230");
    CODE(border_style, "\ue231");
    CODE(border_top, "\ue232");
    CODE(border_vertical, "\ue233");
    CODE(boy, "\ueb67");
    CODE(branding_watermark, "\ue06b");
    CODE(breakfast_dining, "\uea54");
    CODE(brightness_1, "\ue3a6");
    CODE(brightness_2, "\ue3a7");
    CODE(brightness_3, "\ue3a8");
    CODE(brightness_4, "\ue3a9");
    CODE(brightness_5, "\ue3aa");
    CODE(brightness_6, "\ue3ab");
    CODE(brightness_7, "\ue3ac");
    CODE(brightness_auto, "\ue1ab");
    CODE(brightness_high, "\ue1ac");
    CODE(brightness_low, "\ue1ad");
    CODE(brightness_medium, "\ue1ae");
    CODE(broadcast_on_home, "\uf8f8");
    CODE(broadcast_on_personal, "\uf8f9");
    CODE(broken_image, "\ue3ad");
    CODE(browse_gallery, "\uebd1");
    CODE(browser_not_supported, "\uef47");
    CODE(browser_updated, "\ue7cf");
    CODE(brunch_dining, "\uea73");
    CODE(brush, "\ue3ae");
    CODE(bubble_chart, "\ue6dd");
    CODE(bug_report, "\ue868");
    CODE(build, "\ue869");
    CODE(build_circle, "\uef48");
    CODE(bungalow, "\ue591");
    CODE(burst_mode, "\ue43c");
    CODE(bus_alert, "\ue98f");
    CODE(business, "\ue0af");
    CODE(business_center, "\ueb3f");
    CODE(cabin, "\ue589");
    CODE(cable, "\uefe6");
    CODE(cached, "\ue86a");
    CODE(cake, "\ue7e9");
    CODE(calculate, "\uea5f");
    CODE(calendar_month, "\uebcc");
    CODE(calendar_today, "\ue935");
    CODE(calendar_view_day, "\ue936");
    CODE(calendar_view_month, "\uefe7");
    CODE(calendar_view_week, "\uefe8");
    CODE(call, "\ue0b0");
    CODE(call_end, "\ue0b1");
    CODE(call_made, "\ue0b2");
    CODE(call_merge, "\ue0b3");
    CODE(call_missed, "\ue0b4");
    CODE(call_missed_outgoing, "\ue0e4");
    CODE(call_received, "\ue0b5");
    CODE(call_split, "\ue0b6");
    CODE(call_to_action, "\ue06c");
    CODE(camera, "\ue3af");
    CODE(camera_alt, "\ue3b0");
    CODE(camera_enhance, "\ue8fc");
    CODE(camera_front, "\ue3b1");
    CODE(camera_indoor, "\uefe9");
    CODE(camera_outdoor, "\uefea");
    CODE(camera_rear, "\ue3b2");
    CODE(camera_roll, "\ue3b3");
    CODE(cameraswitch, "\uefeb");
    CODE(campaign, "\uef49");
    CODE(cancel, "\ue5c9");
    CODE(cancel_presentation, "\ue0e9");
    CODE(cancel_schedule_send, "\uea39");
    CODE(candlestick_chart, "\uead4");
    CODE(car_crash, "\uebf2");
    CODE(car_rental, "\uea55");
    CODE(car_repair, "\uea56");
    CODE(card_giftcard, "\ue8f6");
    CODE(card_membership, "\ue8f7");
    CODE(card_travel, "\ue8f8");
    CODE(carpenter, "\uf1f8");
    CODE(cases, "\ue992");
    CODE(casino, "\ueb40");
    CODE(cast, "\ue307");
    CODE(cast_connected, "\ue308");
    CODE(cast_for_education, "\uefec");
    CODE(castle, "\ueab1");
    CODE(catching_pokemon, "\ue508");
    CODE(category, "\ue574");
    CODE(celebration, "\uea65");
    CODE(cell_tower, "\uebba");
    CODE(cell_wifi, "\ue0ec");
    CODE(center_focus_strong, "\ue3b4");
    CODE(center_focus_weak, "\ue3b5");
    CODE(chair, "\uefed");
    CODE(chair_alt, "\uefee");
    CODE(chalet, "\ue585");
    CODE(change_circle, "\ue2e7");
    CODE(change_history, "\ue86b");
    CODE(charging_station, "\uf19d");
    CODE(chat, "\ue0b7");
    CODE(chat_bubble, "\ue0ca");
    CODE(chat_bubble_outline, "\ue0cb");
    CODE(check, "\ue5ca");
    CODE(check_box, "\ue834");
    CODE(check_box_outline_blank, "\ue835");
    CODE(check_circle, "\ue86c");
    CODE(check_circle_outline, "\ue92d");
    CODE(checklist, "\ue6b1");
    CODE(checklist_rtl, "\ue6b3");
    CODE(checkroom, "\uf19e");
    CODE(chevron_left, "\ue5cb");
    CODE(chevron_right, "\ue5cc");
    CODE(child_care, "\ueb41");
    CODE(child_friendly, "\ueb42");
    CODE(chrome_reader_mode, "\ue86d");
    CODE(church, "\ueaae");
    CODE(circle, "\uef4a");
    CODE(circle_notifications, "\ue994");
    CODE(class, "\ue86e");
    CODE(clean_hands, "\uf21f");
    CODE(cleaning_services, "\uf0ff");
    CODE(clear, "\ue14c");
    CODE(clear_all, "\ue0b8");
    CODE(close, "\ue5cd");
    CODE(close_fullscreen, "\uf1cf");
    CODE(closed_caption, "\ue01c");
    CODE(closed_caption_disabled, "\uf1dc");
    CODE(closed_caption_off, "\ue996");
    CODE(cloud, "\ue2bd");
    CODE(cloud_circle, "\ue2be");
    CODE(cloud_done, "\ue2bf");
    CODE(cloud_download, "\ue2c0");
    CODE(cloud_off, "\ue2c1");
    CODE(cloud_queue, "\ue2c2");
    CODE(cloud_sync, "\ueb5a");
    CODE(cloud_upload, "\ue2c3");
    CODE(cloudy_snowing, "\ue810");
    CODE(co2, "\ue7b0");
    CODE(co_present, "\ueaf0");
    CODE(code, "\ue86f");
    CODE(code_off, "\ue4f3");
    CODE(coffee, "\uefef");
    CODE(coffee_maker, "\ueff0");
    CODE(collections, "\ue3b6");
    CODE(collections_bookmark, "\ue431");
    CODE(color_lens, "\ue3b7");
    CODE(colorize, "\ue3b8");
    CODE(comment, "\ue0b9");
    CODE(comment_bank, "\uea4e");
    CODE(comments_disabled, "\ue7a2");
    CODE(commit, "\ueaf5");
    CODE(commute, "\ue940");
    CODE(compare, "\ue3b9");
    CODE(compare_arrows, "\ue915");
    CODE(compass_calibration, "\ue57c");
    CODE(compost, "\ue761");
    CODE(compress, "\ue94d");
    CODE(computer, "\ue30a");
    CODE(confirmation_num, "\ue638");
    CODE(confirmation_number, "\ue638");
    CODE(connect_without_contact, "\uf223");
    CODE(connected_tv, "\ue998");
    CODE(connecting_airports, "\ue7c9");
    CODE(construction, "\uea3c");
    CODE(contact_emergency, "\uf8d1");
    CODE(contact_mail, "\ue0d0");
    CODE(contact_page, "\uf22e");
    CODE(contact_phone, "\ue0cf");
    CODE(contact_support, "\ue94c");
    CODE(contactless, "\uea71");
    CODE(contacts, "\ue0ba");
    CODE(content_copy, "\ue14d");
    CODE(content_cut, "\ue14e");
    CODE(content_paste, "\ue14f");
    CODE(content_paste_go, "\uea8e");
    CODE(content_paste_off, "\ue4f8");
    CODE(content_paste_search, "\uea9b");
    CODE(contrast, "\ueb37");
    CODE(control_camera, "\ue074");
    CODE(control_point, "\ue3ba");
    CODE(control_point_duplicate, "\ue3bb");
    CODE(conveyor_belt, "\uf867");
    CODE(cookie, "\ueaac");
    CODE(copy, "\uf08a");
    CODE(copy_all, "\ue2ec");
    CODE(copyright, "\ue90c");
    CODE(coronavirus, "\uf221");
    CODE(corporate_fare, "\uf1d0");
    CODE(cottage, "\ue587");
    CODE(countertops, "\uf1f7");
    CODE(create, "\ue150");
    CODE(create_new_folder, "\ue2cc");
    CODE(credit_card, "\ue870");
    CODE(credit_card_off, "\ue4f4");
    CODE(credit_score, "\ueff1");
    CODE(crib, "\ue588");
    CODE(crisis_alert, "\uebe9");
    CODE(crop, "\ue3be");
    CODE(crop_16_9, "\ue3bc");
    CODE(crop_3_2, "\ue3bd");
    CODE(crop_5_4, "\ue3bf");
    CODE(crop_7_5, "\ue3c0");
    CODE(crop_din, "\ue3c1");
    CODE(crop_free, "\ue3c2");
    CODE(crop_landscape, "\ue3c3");
    CODE(crop_original, "\ue3c4");
    CODE(crop_portrait, "\ue3c5");
    CODE(crop_rotate, "\ue437");
    CODE(crop_square, "\ue3c6");
    CODE(cruelty_free, "\ue799");
    CODE(css, "\ueb93");
    CODE(currency_bitcoin, "\uebc5");
    CODE(currency_exchange, "\ueb70");
    CODE(currency_franc, "\ueafa");
    CODE(currency_lira, "\ueaef");
    CODE(currency_pound, "\ueaf1");
    CODE(currency_ruble, "\ueaec");
    CODE(currency_rupee, "\ueaf7");
    CODE(currency_yen, "\ueafb");
    CODE(currency_yuan, "\ueaf9");
    CODE(curtains, "\uec1e");
    CODE(curtains_closed, "\uec1d");
    CODE(cut, "\uf08b");
    CODE(cyclone, "\uebd5");
    CODE(dangerous, "\ue99a");
    CODE(dark_mode, "\ue51c");
    CODE(dashboard, "\ue871");
    CODE(dashboard_customize, "\ue99b");
    CODE(data_array, "\uead1");
    CODE(data_exploration, "\ue76f");
    CODE(data_object, "\uead3");
    CODE(data_saver_off, "\ueff2");
    CODE(data_saver_on, "\ueff3");
    CODE(data_thresholding, "\ueb9f");
    CODE(data_usage, "\ue1af");
    CODE(dataset, "\uf8ee");
    CODE(dataset_linked, "\uf8ef");
    CODE(date_range, "\ue916");
    CODE(deblur, "\ueb77");
    CODE(deck, "\uea42");
    CODE(dehaze, "\ue3c7");
    CODE(delete, "\ue872");
    CODE(delete_forever, "\ue92b");
    CODE(delete_outline, "\ue92e");
    CODE(delete_sweep, "\ue16c");
    CODE(delivery_dining, "\uea72");
    CODE(density_large, "\ueba9");
    CODE(density_medium, "\ueb9e");
    CODE(density_small, "\ueba8");
    CODE(departure_board, "\ue576");
    CODE(description, "\ue873");
    CODE(deselect, "\uebb6");
    CODE(design_services, "\uf10a");
    CODE(desk, "\uf8f4");
    CODE(desktop_access_disabled, "\ue99d");
    CODE(desktop_mac, "\ue30b");
    CODE(desktop_windows, "\ue30c");
    CODE(details, "\ue3c8");
    CODE(developer_board, "\ue30d");
    CODE(developer_board_off, "\ue4ff");
    CODE(developer_mode, "\ue1b0");
    CODE(device_hub, "\ue335");
    CODE(device_thermostat, "\ue1ff");
    CODE(device_unknown, "\ue339");
    CODE(devices, "\ue1b1");
    CODE(devices_fold, "\uebde");
    CODE(devices_other, "\ue337");
    CODE(dew_point, "\uf879");
    CODE(dialer_sip, "\ue0bb");
    CODE(dialpad, "\ue0bc");
    CODE(diamond, "\uead5");
    CODE(difference, "\ueb7d");
    CODE(dining, "\ueff4");
    CODE(dinner_dining, "\uea57");
    CODE(directions, "\ue52e");
    CODE(directions_bike, "\ue52f");
    CODE(directions_boat, "\ue532");
    CODE(directions_boat_filled, "\ueff5");
    CODE(directions_bus, "\ue530");
    CODE(directions_bus_filled, "\ueff6");
    CODE(directions_car, "\ue531");
    CODE(directions_car_filled, "\ueff7");
    CODE(directions_ferry, "\ue532");
    CODE(directions_off, "\uf10f");
    CODE(directions_railway, "\ue534");
    CODE(directions_railway_filled, "\ueff8");
    CODE(directions_run, "\ue566");
    CODE(directions_subway, "\ue533");
    CODE(directions_subway_filled, "\ueff9");
    CODE(directions_train, "\ue534");
    CODE(directions_transit, "\ue535");
    CODE(directions_transit_filled, "\ueffa");
    CODE(directions_walk, "\ue536");
    CODE(dirty_lens, "\uef4b");
    CODE(disabled_by_default, "\uf230");
    CODE(disabled_visible, "\ue76e");
    CODE(disc_full, "\ue610");
    CODE(discord, "\uea6c");
    CODE(discount, "\uebc9");
    CODE(display_settings, "\ueb97");
    CODE(diversity_1, "\uf8d7");
    CODE(diversity_2, "\uf8d8");
    CODE(diversity_3, "\uf8d9");
    CODE(dnd_forwardslash, "\ue611");
    CODE(dns, "\ue875");
    CODE(do_disturb, "\uf08c");
    CODE(do_disturb_alt, "\uf08d");
    CODE(do_disturb_off, "\uf08e");
    CODE(do_disturb_on, "\uf08f");
    CODE(do_not_disturb, "\ue612");
    CODE(do_not_disturb_alt, "\ue611");
    CODE(do_not_disturb_off, "\ue643");
    CODE(do_not_disturb_on, "\ue644");
    CODE(do_not_disturb_on_total_silence, "\ueffb");
    CODE(do_not_step, "\uf19f");
    CODE(do_not_touch, "\uf1b0");
    CODE(dock, "\ue30e");
    CODE(document_scanner, "\ue5fa");
    CODE(domain, "\ue7ee");
    CODE(domain_add, "\ueb62");
    CODE(domain_disabled, "\ue0ef");
    CODE(domain_verification, "\uef4c");
    CODE(done, "\ue876");
    CODE(done_all, "\ue877");
    CODE(done_outline, "\ue92f");
    CODE(donut_large, "\ue917");
    CODE(donut_small, "\ue918");
    CODE(door_back, "\ueffc");
    CODE(door_front, "\ueffd");
    CODE(door_sliding, "\ueffe");
    CODE(doorbell, "\uefff");
    CODE(double_arrow, "\uea50");
    CODE(downhill_skiing, "\ue509");
    CODE(download, "\uf090");
    CODE(download_done, "\uf091");
    CODE(download_for_offline, "\uf000");
    CODE(downloading, "\uf001");
    CODE(drafts, "\ue151");
    CODE(drag_handle, "\ue25d");
    CODE(drag_indicator, "\ue945");
    CODE(draw, "\ue746");
    CODE(drive_eta, "\ue613");
    CODE(drive_file_move, "\ue675");
    CODE(drive_file_move_outline, "\ue9a1");
    CODE(drive_file_move_rtl, "\ue76d");
    CODE(drive_file_rename_outline, "\ue9a2");
    CODE(drive_folder_upload, "\ue9a3");
    CODE(dry, "\uf1b3");
    CODE(dry_cleaning, "\uea58");
    CODE(duo, "\ue9a5");
    CODE(dvr, "\ue1b2");
    CODE(dynamic_feed, "\uea14");
    CODE(dynamic_form, "\uf1bf");
    CODE(e_mobiledata, "\uf002");
    CODE(earbuds, "\uf003");
    CODE(earbuds_battery, "\uf004");
    CODE(east, "\uf1df");
    CODE(eco, "\uea35");
    CODE(edgesensor_high, "\uf005");
    CODE(edgesensor_low, "\uf006");
    CODE(edit, "\ue3c9");
    CODE(edit_attributes, "\ue578");
    CODE(edit_calendar, "\ue742");
    CODE(edit_document, "\uf88c");
    CODE(edit_location, "\ue568");
    CODE(edit_location_alt, "\ue1c5");
    CODE(edit_note, "\ue745");
    CODE(edit_notifications, "\ue525");
    CODE(edit_off, "\ue950");
    CODE(edit_road, "\uef4d");
    CODE(edit_square, "\uf88d");
    CODE(egg, "\ueacc");
    CODE(egg_alt, "\ueac8");
    CODE(eject, "\ue8fb");
    CODE(elderly, "\uf21a");
    CODE(elderly_woman, "\ueb69");
    CODE(electric_bike, "\ueb1b");
    CODE(electric_bolt, "\uec1c");
    CODE(electric_car, "\ueb1c");
    CODE(electric_meter, "\uec1b");
    CODE(electric_moped, "\ueb1d");
    CODE(electric_rickshaw, "\ueb1e");
    CODE(electric_scooter, "\ueb1f");
    CODE(electrical_services, "\uf102");
    CODE(elevator, "\uf1a0");
    CODE(email, "\ue0be");
    CODE(emergency, "\ue1eb");
    CODE(emergency_recording, "\uebf4");
    CODE(emergency_share, "\uebf6");
    CODE(emoji_emotions, "\uea22");
    CODE(emoji_events, "\uea23");
    CODE(emoji_flags, "\uea1a");
    CODE(emoji_food_beverage, "\uea1b");
    CODE(emoji_nature, "\uea1c");
    CODE(emoji_objects, "\uea24");
    CODE(emoji_people, "\uea1d");
    CODE(emoji_symbols, "\uea1e");
    CODE(emoji_transportation, "\uea1f");
    CODE(energy_savings_leaf, "\uec1a");
    CODE(engineering, "\uea3d");
    CODE(enhance_photo_translate, "\ue8fc");
    CODE(enhanced_encryption, "\ue63f");
    CODE(equalizer, "\ue01d");
    CODE(error, "\ue000");
    CODE(error_outline, "\ue001");
    CODE(escalator, "\uf1a1");
    CODE(escalator_warning, "\uf1ac");
    CODE(euro, "\uea15");
    CODE(euro_symbol, "\ue926");
    CODE(ev_station, "\ue56d");
    CODE(event, "\ue878");
    CODE(event_available, "\ue614");
    CODE(event_busy, "\ue615");
    CODE(event_note, "\ue616");
    CODE(event_repeat, "\ueb7b");
    CODE(event_seat, "\ue903");
    CODE(exit_to_app, "\ue879");
    CODE(expand, "\ue94f");
    CODE(expand_circle_down, "\ue7cd");
    CODE(expand_less, "\ue5ce");
    CODE(expand_more, "\ue5cf");
    CODE(explicit, "\ue01e");
    CODE(explore, "\ue87a");
    CODE(explore_off, "\ue9a8");
    CODE(exposure, "\ue3ca");
    CODE(exposure_minus_1, "\ue3cb");
    CODE(exposure_minus_2, "\ue3cc");
    CODE(exposure_neg_1, "\ue3cb");
    CODE(exposure_neg_2, "\ue3cc");
    CODE(exposure_plus_1, "\ue3cd");
    CODE(exposure_plus_2, "\ue3ce");
    CODE(exposure_zero, "\ue3cf");
    CODE(extension, "\ue87b");
    CODE(extension_off, "\ue4f5");
    CODE(face, "\ue87c");
    CODE(face_2, "\uf8da");
    CODE(face_3, "\uf8db");
    CODE(face_4, "\uf8dc");
    CODE(face_5, "\uf8dd");
    CODE(face_6, "\uf8de");
    CODE(face_retouching_natural, "\uef4e");
    CODE(face_retouching_off, "\uf007");
    CODE(face_unlock, "\uf008");
    CODE(facebook, "\uf234");
    CODE(fact_check, "\uf0c5");
    CODE(factory, "\uebbc");
    CODE(family_restroom, "\uf1a2");
    CODE(fast_forward, "\ue01f");
    CODE(fast_rewind, "\ue020");
    CODE(fastfood, "\ue57a");
    CODE(favorite, "\ue87d");
    CODE(favorite_border, "\ue87e");
    CODE(favorite_outline, "\ue87e");
    CODE(fax, "\uead8");
    CODE(featured_play_list, "\ue06d");
    CODE(featured_video, "\ue06e");
    CODE(feed, "\uf009");
    CODE(feedback, "\ue87f");
    CODE(female, "\ue590");
    CODE(fence, "\uf1f6");
    CODE(festival, "\uea68");
    CODE(fiber_dvr, "\ue05d");
    CODE(fiber_manual_record, "\ue061");
    CODE(fiber_new, "\ue05e");
    CODE(fiber_pin, "\ue06a");
    CODE(fiber_smart_record, "\ue062");
    CODE(file_copy, "\ue173");
    CODE(file_download, "\ue2c4");
    CODE(file_download_done, "\ue9aa");
    CODE(file_download_off, "\ue4fe");
    CODE(file_open, "\ueaf3");
    CODE(file_present, "\uea0e");
    CODE(file_upload, "\ue2c6");
    CODE(file_upload_off, "\uf886");
    CODE(filter, "\ue3d3");
    CODE(filter_1, "\ue3d0");
    CODE(filter_2, "\ue3d1");
    CODE(filter_3, "\ue3d2");
    CODE(filter_4, "\ue3d4");
    CODE(filter_5, "\ue3d5");
    CODE(filter_6, "\ue3d6");
    CODE(filter_7, "\ue3d7");
    CODE(filter_8, "\ue3d8");
    CODE(filter_9, "\ue3d9");
    CODE(filter_9_plus, "\ue3da");
    CODE(filter_alt, "\uef4f");
    CODE(filter_alt_off, "\ueb32");
    CODE(filter_b_and_w, "\ue3db");
    CODE(filter_center_focus, "\ue3dc");
    CODE(filter_drama, "\ue3dd");
    CODE(filter_frames, "\ue3de");
    CODE(filter_hdr, "\ue3df");
    CODE(filter_list, "\ue152");
    CODE(filter_list_alt, "\ue94e");
    CODE(filter_list_off, "\ueb57");
    CODE(filter_none, "\ue3e0");
    CODE(filter_tilt_shift, "\ue3e2");
    CODE(filter_vintage, "\ue3e3");
    CODE(find_in_page, "\ue880");
    CODE(find_replace, "\ue881");
    CODE(fingerprint, "\ue90d");
    CODE(fire_extinguisher, "\uf1d8");
    CODE(fire_hydrant, "\uf1a3");
    CODE(fire_hydrant_alt, "\uf8f1");
    CODE(fire_truck, "\uf8f2");
    CODE(fireplace, "\uea43");
    CODE(first_page, "\ue5dc");
    CODE(fit_screen, "\uea10");
    CODE(fitbit, "\ue82b");
    CODE(fitness_center, "\ueb43");
    CODE(flag, "\ue153");
    CODE(flag_circle, "\ueaf8");
    CODE(flaky, "\uef50");
    CODE(flare, "\ue3e4");
    CODE(flash_auto, "\ue3e5");
    CODE(flash_off, "\ue3e6");
    CODE(flash_on, "\ue3e7");
    CODE(flashlight_off, "\uf00a");
    CODE(flashlight_on, "\uf00b");
    CODE(flatware, "\uf00c");
    CODE(flight, "\ue539");
    CODE(flight_class, "\ue7cb");
    CODE(flight_land, "\ue904");
    CODE(flight_takeoff, "\ue905");
    CODE(flip, "\ue3e8");
    CODE(flip_camera_android, "\uea37");
    CODE(flip_camera_ios, "\uea38");
    CODE(flip_to_back, "\ue882");
    CODE(flip_to_front, "\ue883");
    CODE(flood, "\uebe6");
    CODE(flourescent, "\uec31");
    CODE(fluorescent, "\uec31");
    CODE(flutter_dash, "\ue00b");
    CODE(fmd_bad, "\uf00e");
    CODE(fmd_good, "\uf00f");
    CODE(foggy, "\ue818");
    CODE(folder, "\ue2c7");
    CODE(folder_copy, "\uebbd");
    CODE(folder_delete, "\ueb34");
    CODE(folder_off, "\ueb83");
    CODE(folder_open, "\ue2c8");
    CODE(folder_shared, "\ue2c9");
    CODE(folder_special, "\ue617");
    CODE(folder_zip, "\ueb2c");
    CODE(follow_the_signs, "\uf222");
    CODE(font_download, "\ue167");
    CODE(font_download_off, "\ue4f9");
    CODE(food_bank, "\uf1f2");
    CODE(forest, "\uea99");
    CODE(fork_left, "\ueba0");
    CODE(fork_right, "\uebac");
    CODE(forklift, "\uf868");
    CODE(format_align_center, "\ue234");
    CODE(format_align_justify, "\ue235");
    CODE(format_align_left, "\ue236");
    CODE(format_align_right, "\ue237");
    CODE(format_bold, "\ue238");
    CODE(format_clear, "\ue239");
    CODE(format_color_fill, "\ue23a");
    CODE(format_color_reset, "\ue23b");
    CODE(format_color_text, "\ue23c");
    CODE(format_indent_decrease, "\ue23d");
    CODE(format_indent_increase, "\ue23e");
    CODE(format_italic, "\ue23f");
    CODE(format_line_spacing, "\ue240");
    CODE(format_list_bulleted, "\ue241");
    CODE(format_list_bulleted_add, "\uf849");
    CODE(format_list_numbered, "\ue242");
    CODE(format_list_numbered_rtl, "\ue267");
    CODE(format_overline, "\ueb65");
    CODE(format_paint, "\ue243");
    CODE(format_quote, "\ue244");
    CODE(format_shapes, "\ue25e");
    CODE(format_size, "\ue245");
    CODE(format_strikethrough, "\ue246");
    CODE(format_textdirection_l_to_r, "\ue247");
    CODE(format_textdirection_r_to_l, "\ue248");
    CODE(format_underline, "\ue249");
    CODE(format_underlined, "\ue249");
    CODE(fort, "\ueaad");
    CODE(forum, "\ue0bf");
    CODE(forward, "\ue154");
    CODE(forward_10, "\ue056");
    CODE(forward_30, "\ue057");
    CODE(forward_5, "\ue058");
    CODE(forward_to_inbox, "\uf187");
    CODE(foundation, "\uf200");
    CODE(free_breakfast, "\ueb44");
    CODE(free_cancellation, "\ue748");
    CODE(front_hand, "\ue769");
    CODE(front_loader, "\uf869");
    CODE(fullscreen, "\ue5d0");
    CODE(fullscreen_exit, "\ue5d1");
    CODE(functions, "\ue24a");
    CODE(g_mobiledata, "\uf010");
    CODE(g_translate, "\ue927");
    CODE(gamepad, "\ue30f");
    CODE(games, "\ue021");
    CODE(garage, "\uf011");
    CODE(gas_meter, "\uec19");
    CODE(gavel, "\ue90e");
    CODE(generating_tokens, "\ue749");
    CODE(gesture, "\ue155");
    CODE(get_app, "\ue884");
    CODE(gif, "\ue908");
    CODE(gif_box, "\ue7a3");
    CODE(girl, "\ueb68");
    CODE(gite, "\ue58b");
    CODE(goat, "\u10fffd");
    CODE(golf_course, "\ueb45");
    CODE(gpp_bad, "\uf012");
    CODE(gpp_good, "\uf013");
    CODE(gpp_maybe, "\uf014");
    CODE(gps_fixed, "\ue1b3");
    CODE(gps_not_fixed, "\ue1b4");
    CODE(gps_off, "\ue1b5");
    CODE(grade, "\ue885");
    CODE(gradient, "\ue3e9");
    CODE(grading, "\uea4f");
    CODE(grain, "\ue3ea");
    CODE(graphic_eq, "\ue1b8");
    CODE(grass, "\uf205");
    CODE(grid_3x3, "\uf015");
    CODE(grid_4x4, "\uf016");
    CODE(grid_goldenratio, "\uf017");
    CODE(grid_off, "\ue3eb");
    CODE(grid_on, "\ue3ec");
    CODE(grid_view, "\ue9b0");
    CODE(group, "\ue7ef");
    CODE(group_add, "\ue7f0");
    CODE(group_off, "\ue747");
    CODE(group_remove, "\ue7ad");
    CODE(group_work, "\ue886");
    CODE(groups, "\uf233");
    CODE(groups_2, "\uf8df");
    CODE(groups_3, "\uf8e0");
    CODE(h_mobiledata, "\uf018");
    CODE(h_plus_mobiledata, "\uf019");
    CODE(hail, "\ue9b1");
    CODE(handshake, "\uebcb");
    CODE(handyman, "\uf10b");
    CODE(hardware, "\uea59");
    CODE(hd, "\ue052");
    CODE(hdr_auto, "\uf01a");
    CODE(hdr_auto_select, "\uf01b");
    CODE(hdr_enhanced_select, "\uef51");
    CODE(hdr_off, "\ue3ed");
    CODE(hdr_off_select, "\uf01c");
    CODE(hdr_on, "\ue3ee");
    CODE(hdr_on_select, "\uf01d");
    CODE(hdr_plus, "\uf01e");
    CODE(hdr_strong, "\ue3f1");
    CODE(hdr_weak, "\ue3f2");
    CODE(headphones, "\uf01f");
    CODE(headphones_battery, "\uf020");
    CODE(headset, "\ue310");
    CODE(headset_mic, "\ue311");
    CODE(headset_off, "\ue33a");
    CODE(healing, "\ue3f3");
    CODE(health_and_safety, "\ue1d5");
    CODE(hearing, "\ue023");
    CODE(hearing_disabled, "\uf104");
    CODE(heart_broken, "\ueac2");
    CODE(heat_pump, "\uec18");
    CODE(height, "\uea16");
    CODE(help, "\ue887");
    CODE(help_center, "\uf1c0");
    CODE(help_outline, "\ue8fd");
    CODE(hevc, "\uf021");
    CODE(hexagon, "\ueb39");
    CODE(hide_image, "\uf022");
    CODE(hide_source, "\uf023");
    CODE(high_quality, "\ue024");
    CODE(highlight, "\ue25f");
    CODE(highlight_alt, "\uef52");
    CODE(highlight_off, "\ue888");
    CODE(highlight_remove, "\ue888");
    CODE(hiking, "\ue50a");
    CODE(history, "\ue889");
    CODE(history_edu, "\uea3e");
    CODE(history_toggle_off, "\uf17d");
    CODE(hive, "\ueaa6");
    CODE(hls, "\ueb8a");
    CODE(hls_off, "\ueb8c");
    CODE(holiday_village, "\ue58a");
    CODE(home, "\ue88a");
    CODE(home_filled, "\ue9b2");
    CODE(home_max, "\uf024");
    CODE(home_mini, "\uf025");
    CODE(home_repair_service, "\uf100");
    CODE(home_work, "\uea09");
    CODE(horizontal_distribute, "\ue014");
    CODE(horizontal_rule, "\uf108");
    CODE(horizontal_split, "\ue947");
    CODE(hot_tub, "\ueb46");
    CODE(hotel, "\ue53a");
    CODE(hotel_class, "\ue743");
    CODE(hourglass_bottom, "\uea5c");
    CODE(hourglass_disabled, "\uef53");
    CODE(hourglass_empty, "\ue88b");
    CODE(hourglass_full, "\ue88c");
    CODE(hourglass_top, "\uea5b");
    CODE(house, "\uea44");
    CODE(house_siding, "\uf202");
    CODE(houseboat, "\ue584");
    CODE(how_to_reg, "\ue174");
    CODE(how_to_vote, "\ue175");
    CODE(html, "\ueb7e");
    CODE(http, "\ue902");
    CODE(https, "\ue88d");
    CODE(hub, "\ue9f4");
    CODE(hvac, "\uf10e");
    CODE(ice_skating, "\ue50b");
    CODE(icecream, "\uea69");
    CODE(image, "\ue3f4");
    CODE(image_aspect_ratio, "\ue3f5");
    CODE(image_not_supported, "\uf116");
    CODE(image_search, "\ue43f");
    CODE(imagesearch_roller, "\ue9b4");
    CODE(import_contacts, "\ue0e0");
    CODE(import_export, "\ue0c3");
    CODE(important_devices, "\ue912");
    CODE(inbox, "\ue156");
    CODE(incomplete_circle, "\ue79b");
    CODE(indeterminate_check_box, "\ue909");
    CODE(info, "\ue88e");
    CODE(info_outline, "\ue88f");
    CODE(input, "\ue890");
    CODE(insert_chart, "\ue24b");
    CODE(insert_chart_outlined, "\ue26a");
    CODE(insert_comment, "\ue24c");
    CODE(insert_drive_file, "\ue24d");
    CODE(insert_emoticon, "\ue24e");
    CODE(insert_invitation, "\ue24f");
    CODE(insert_link, "\ue250");
    CODE(insert_page_break, "\ueaca");
    CODE(insert_photo, "\ue251");
    CODE(insights, "\uf092");
    CODE(install_desktop, "\ueb71");
    CODE(install_mobile, "\ueb72");
    CODE(integration_instructions, "\uef54");
    CODE(interests, "\ue7c8");
    CODE(interpreter_mode, "\ue83b");
    CODE(inventory, "\ue179");
    CODE(inventory_2, "\ue1a1");
    CODE(invert_colors, "\ue891");
    CODE(invert_colors_off, "\ue0c4");
    CODE(invert_colors_on, "\ue891");
    CODE(ios_share, "\ue6b8");
    CODE(iron, "\ue583");
    CODE(iso, "\ue3f6");
    CODE(javascript, "\ueb7c");
    CODE(join_full, "\ueaeb");
    CODE(join_inner, "\ueaf4");
    CODE(join_left, "\ueaf2");
    CODE(join_right, "\ueaea");
    CODE(kayaking, "\ue50c");
    CODE(kebab_dining, "\ue842");
    CODE(key, "\ue73c");
    CODE(key_off, "\ueb84");
    CODE(keyboard, "\ue312");
    CODE(keyboard_alt, "\uf028");
    CODE(keyboard_arrow_down, "\ue313");
    CODE(keyboard_arrow_left, "\ue314");
    CODE(keyboard_arrow_right, "\ue315");
    CODE(keyboard_arrow_up, "\ue316");
    CODE(keyboard_backspace, "\ue317");
    CODE(keyboard_capslock, "\ue318");
    CODE(keyboard_command, "\ueae0");
    CODE(keyboard_command_key, "\ueae7");
    CODE(keyboard_control, "\ue5d3");
    CODE(keyboard_control_key, "\ueae6");
    CODE(keyboard_double_arrow_down, "\uead0");
    CODE(keyboard_double_arrow_left, "\ueac3");
    CODE(keyboard_double_arrow_right, "\ueac9");
    CODE(keyboard_double_arrow_up, "\ueacf");
    CODE(keyboard_hide, "\ue31a");
    CODE(keyboard_option, "\ueadf");
    CODE(keyboard_option_key, "\ueae8");
    CODE(keyboard_return, "\ue31b");
    CODE(keyboard_tab, "\ue31c");
    CODE(keyboard_voice, "\ue31d");
    CODE(king_bed, "\uea45");
    CODE(kitchen, "\ueb47");
    CODE(kitesurfing, "\ue50d");
    CODE(label, "\ue892");
    CODE(label_important, "\ue937");
    CODE(label_important_outline, "\ue948");
    CODE(label_off, "\ue9b6");
    CODE(label_outline, "\ue893");
    CODE(lan, "\ueb2f");
    CODE(landscape, "\ue3f7");
    CODE(landslide, "\uebd7");
    CODE(language, "\ue894");
    CODE(laptop, "\ue31e");
    CODE(laptop_chromebook, "\ue31f");
    CODE(laptop_mac, "\ue320");
    CODE(laptop_windows, "\ue321");
    CODE(last_page, "\ue5dd");
    CODE(launch, "\ue895");
    CODE(layers, "\ue53b");
    CODE(layers_clear, "\ue53c");
    CODE(leaderboard, "\uf20c");
    CODE(leak_add, "\ue3f8");
    CODE(leak_remove, "\ue3f9");
    CODE(leave_bags_at_home, "\uf21b");
    CODE(legend_toggle, "\uf11b");
    CODE(lens, "\ue3fa");
    CODE(lens_blur, "\uf029");
    CODE(library_add, "\ue02e");
    CODE(library_add_check, "\ue9b7");
    CODE(library_books, "\ue02f");
    CODE(library_music, "\ue030");
    CODE(light, "\uf02a");
    CODE(light_mode, "\ue518");
    CODE(lightbulb, "\ue0f0");
    CODE(lightbulb_circle, "\uebfe");
    CODE(lightbulb_outline, "\ue90f");
    CODE(line_axis, "\uea9a");
    CODE(line_style, "\ue919");
    CODE(line_weight, "\ue91a");
    CODE(linear_scale, "\ue260");
    CODE(link, "\ue157");
    CODE(link_off, "\ue16f");
    CODE(linked_camera, "\ue438");
    CODE(liquor, "\uea60");
    CODE(list, "\ue896");
    CODE(list_alt, "\ue0ee");
    CODE(live_help, "\ue0c6");
    CODE(live_tv, "\ue639");
    CODE(living, "\uf02b");
    CODE(local_activity, "\ue53f");
    CODE(local_airport, "\ue53d");
    CODE(local_atm, "\ue53e");
    CODE(local_attraction, "\ue53f");
    CODE(local_bar, "\ue540");
    CODE(local_cafe, "\ue541");
    CODE(local_car_wash, "\ue542");
    CODE(local_convenience_store, "\ue543");
    CODE(local_dining, "\ue556");
    CODE(local_drink, "\ue544");
    CODE(local_fire_department, "\uef55");
    CODE(local_florist, "\ue545");
    CODE(local_gas_station, "\ue546");
    CODE(local_grocery_store, "\ue547");
    CODE(local_hospital, "\ue548");
    CODE(local_hotel, "\ue549");
    CODE(local_laundry_service, "\ue54a");
    CODE(local_library, "\ue54b");
    CODE(local_mall, "\ue54c");
    CODE(local_movies, "\ue54d");
    CODE(local_offer, "\ue54e");
    CODE(local_parking, "\ue54f");
    CODE(local_pharmacy, "\ue550");
    CODE(local_phone, "\ue551");
    CODE(local_pizza, "\ue552");
    CODE(local_play, "\ue553");
    CODE(local_police, "\uef56");
    CODE(local_post_office, "\ue554");
    CODE(local_print_shop, "\ue555");
    CODE(local_printshop, "\ue555");
    CODE(local_restaurant, "\ue556");
    CODE(local_see, "\ue557");
    CODE(local_shipping, "\ue558");
    CODE(local_taxi, "\ue559");
    CODE(location_city, "\ue7f1");
    CODE(location_disabled, "\ue1b6");
    CODE(location_history, "\ue55a");
    CODE(location_off, "\ue0c7");
    CODE(location_on, "\ue0c8");
    CODE(location_pin, "\uf1db");
    CODE(location_searching, "\ue1b7");
    CODE(lock, "\ue897");
    CODE(lock_clock, "\uef57");
    CODE(lock_open, "\ue898");
    CODE(lock_outline, "\ue899");
    CODE(lock_person, "\uf8f3");
    CODE(lock_reset, "\ueade");
    CODE(login, "\uea77");
    CODE(logo_dev, "\uead6");
    CODE(logout, "\ue9ba");
    CODE(looks, "\ue3fc");
    CODE(looks_3, "\ue3fb");
    CODE(looks_4, "\ue3fd");
    CODE(looks_5, "\ue3fe");
    CODE(looks_6, "\ue3ff");
    CODE(looks_one, "\ue400");
    CODE(looks_two, "\ue401");
    CODE(loop, "\ue028");
    CODE(loupe, "\ue402");
    CODE(low_priority, "\ue16d");
    CODE(loyalty, "\ue89a");
    CODE(lte_mobiledata, "\uf02c");
    CODE(lte_plus_mobiledata, "\uf02d");
    CODE(luggage, "\uf235");
    CODE(lunch_dining, "\uea61");
    CODE(lyrics, "\uec0b");
    CODE(macro_off, "\uf8d2");
    CODE(mail, "\ue158");
    CODE(mail_lock, "\uec0a");
    CODE(mail_outline, "\ue0e1");
    CODE(male, "\ue58e");
    CODE(man, "\ue4eb");
    CODE(man_2, "\uf8e1");
    CODE(man_3, "\uf8e2");
    CODE(man_4, "\uf8e3");
    CODE(manage_accounts, "\uf02e");
    CODE(manage_history, "\uebe7");
    CODE(manage_search, "\uf02f");
    CODE(map, "\ue55b");
    CODE(maps_home_work, "\uf030");
    CODE(maps_ugc, "\uef58");
    CODE(margin, "\ue9bb");
    CODE(mark_as_unread, "\ue9bc");
    CODE(mark_chat_read, "\uf18b");
    CODE(mark_chat_unread, "\uf189");
    CODE(mark_email_read, "\uf18c");
    CODE(mark_email_unread, "\uf18a");
    CODE(mark_unread_chat_alt, "\ueb9d");
    CODE(markunread, "\ue159");
    CODE(markunread_mailbox, "\ue89b");
    CODE(masks, "\uf218");
    CODE(maximize, "\ue930");
    CODE(media_bluetooth_off, "\uf031");
    CODE(media_bluetooth_on, "\uf032");
    CODE(mediation, "\uefa7");
    CODE(medical_information, "\uebed");
    CODE(medical_services, "\uf109");
    CODE(medication, "\uf033");
    CODE(medication_liquid, "\uea87");
    CODE(meeting_room, "\ueb4f");
    CODE(memory, "\ue322");
    CODE(menu, "\ue5d2");
    CODE(menu_book, "\uea19");
    CODE(menu_open, "\ue9bd");
    CODE(merge, "\ueb98");
    CODE(merge_type, "\ue252");
    CODE(message, "\ue0c9");
    CODE(messenger, "\ue0ca");
    CODE(messenger_outline, "\ue0cb");
    CODE(mic, "\ue029");
    CODE(mic_external_off, "\uef59");
    CODE(mic_external_on, "\uef5a");
    CODE(mic_none, "\ue02a");
    CODE(mic_off, "\ue02b");
    CODE(microwave, "\uf204");
    CODE(military_tech, "\uea3f");
    CODE(minimize, "\ue931");
    CODE(minor_crash, "\uebf1");
    CODE(miscellaneous_services, "\uf10c");
    CODE(missed_video_call, "\ue073");
    CODE(mms, "\ue618");
    CODE(mobile_friendly, "\ue200");
    CODE(mobile_off, "\ue201");
    CODE(mobile_screen_share, "\ue0e7");
    CODE(mobiledata_off, "\uf034");
    CODE(mode, "\uf097");
    CODE(mode_comment, "\ue253");
    CODE(mode_edit, "\ue254");
    CODE(mode_edit_outline, "\uf035");
    CODE(mode_fan_off, "\uec17");
    CODE(mode_night, "\uf036");
    CODE(mode_of_travel, "\ue7ce");
    CODE(mode_standby, "\uf037");
    CODE(model_training, "\uf0cf");
    CODE(monetization_on, "\ue263");
    CODE(money, "\ue57d");
    CODE(money_off, "\ue25c");
    CODE(money_off_csred, "\uf038");
    CODE(monitor, "\uef5b");
    CODE(monitor_heart, "\ueaa2");
    CODE(monitor_weight, "\uf039");
    CODE(monochrome_photos, "\ue403");
    CODE(mood, "\ue7f2");
    CODE(mood_bad, "\ue7f3");
    CODE(moped, "\ueb28");
    CODE(more, "\ue619");
    CODE(more_horiz, "\ue5d3");
    CODE(more_time, "\uea5d");
    CODE(more_vert, "\ue5d4");
    CODE(mosque, "\ueab2");
    CODE(motion_photos_auto, "\uf03a");
    CODE(motion_photos_off, "\ue9c0");
    CODE(motion_photos_on, "\ue9c1");
    CODE(motion_photos_pause, "\uf227");
    CODE(motion_photos_paused, "\ue9c2");
    CODE(motorcycle, "\ue91b");
    CODE(mouse, "\ue323");
    CODE(move_down, "\ueb61");
    CODE(move_to_inbox, "\ue168");
    CODE(move_up, "\ueb64");
    CODE(movie, "\ue02c");
    CODE(movie_creation, "\ue404");
    CODE(movie_edit, "\uf840");
    CODE(movie_filter, "\ue43a");
    CODE(moving, "\ue501");
    CODE(mp, "\ue9c3");
    CODE(multiline_chart, "\ue6df");
    CODE(multiple_stop, "\uf1b9");
    CODE(multitrack_audio, "\ue1b8");
    CODE(museum, "\uea36");
    CODE(music_note, "\ue405");
    CODE(music_off, "\ue440");
    CODE(music_video, "\ue063");
    CODE(my_library_add, "\ue02e");
    CODE(my_library_books, "\ue02f");
    CODE(my_library_music, "\ue030");
    CODE(my_location, "\ue55c");
    CODE(nat, "\uef5c");
    CODE(nature, "\ue406");
    CODE(nature_people, "\ue407");
    CODE(navigate_before, "\ue408");
    CODE(navigate_next, "\ue409");
    CODE(navigation, "\ue55d");
    CODE(near_me, "\ue569");
    CODE(near_me_disabled, "\uf1ef");
    CODE(nearby_error, "\uf03b");
    CODE(nearby_off, "\uf03c");
    CODE(nest_cam_wired_stand, "\uec16");
    CODE(network_cell, "\ue1b9");
    CODE(network_check, "\ue640");
    CODE(network_locked, "\ue61a");
    CODE(network_ping, "\uebca");
    CODE(network_wifi, "\ue1ba");
    CODE(network_wifi_1_bar, "\uebe4");
    CODE(network_wifi_2_bar, "\uebd6");
    CODE(network_wifi_3_bar, "\uebe1");
    CODE(new_label, "\ue609");
    CODE(new_releases, "\ue031");
    CODE(newspaper, "\ueb81");
    CODE(next_plan, "\uef5d");
    CODE(next_week, "\ue16a");
    CODE(nfc, "\ue1bb");
    CODE(night_shelter, "\uf1f1");
    CODE(nightlife, "\uea62");
    CODE(nightlight, "\uf03d");
    CODE(nightlight_round, "\uef5e");
    CODE(nights_stay, "\uea46");
    CODE(no_accounts, "\uf03e");
    CODE(no_adult_content, "\uf8fe");
    CODE(no_backpack, "\uf237");
    CODE(no_cell, "\uf1a4");
    CODE(no_crash, "\uebf0");
    CODE(no_drinks, "\uf1a5");
    CODE(no_encryption, "\ue641");
    CODE(no_encryption_gmailerrorred, "\uf03f");
    CODE(no_flash, "\uf1a6");
    CODE(no_food, "\uf1a7");
    CODE(no_luggage, "\uf23b");
    CODE(no_meals, "\uf1d6");
    CODE(no_meals_ouline, "\uf229");
    CODE(no_meeting_room, "\ueb4e");
    CODE(no_photography, "\uf1a8");
    CODE(no_sim, "\ue0cc");
    CODE(no_stroller, "\uf1af");
    CODE(no_transfer, "\uf1d5");
    CODE(noise_aware, "\uebec");
    CODE(noise_control_off, "\uebf3");
    CODE(nordic_walking, "\ue50e");
    CODE(north, "\uf1e0");
    CODE(north_east, "\uf1e1");
    CODE(north_west, "\uf1e2");
    CODE(not_accessible, "\uf0fe");
    CODE(not_interested, "\ue033");
    CODE(not_listed_location, "\ue575");
    CODE(not_started, "\uf0d1");
    CODE(note, "\ue06f");
    CODE(note_add, "\ue89c");
    CODE(note_alt, "\uf040");
    CODE(notes, "\ue26c");
    CODE(notification_add, "\ue399");
    CODE(notification_important, "\ue004");
    CODE(notifications, "\ue7f4");
    CODE(notifications_active, "\ue7f7");
    CODE(notifications_none, "\ue7f5");
    CODE(notifications_off, "\ue7f6");
    CODE(notifications_on, "\ue7f7");
    CODE(notifications_paused, "\ue7f8");
    CODE(now_wallpaper, "\ue1bc");
    CODE(now_widgets, "\ue1bd");
    CODE(numbers, "\ueac7");
    CODE(offline_bolt, "\ue932");
    CODE(offline_pin, "\ue90a");
    CODE(offline_share, "\ue9c5");
    CODE(oil_barrel, "\uec15");
    CODE(on_device_training, "\uebfd");
    CODE(ondemand_video, "\ue63a");
    CODE(online_prediction, "\uf0eb");
    CODE(opacity, "\ue91c");
    CODE(open_in_browser, "\ue89d");
    CODE(open_in_full, "\uf1ce");
    CODE(open_in_new, "\ue89e");
    CODE(open_in_new_off, "\ue4f6");
    CODE(open_with, "\ue89f");
    CODE(other_houses, "\ue58c");
    CODE(outbond, "\uf228");
    CODE(outbound, "\ue1ca");
    CODE(outbox, "\uef5f");
    CODE(outdoor_grill, "\uea47");
    CODE(outgoing_mail, "\uf0d2");
    CODE(outlet, "\uf1d4");
    CODE(outlined_flag, "\ue16e");
    CODE(output, "\uebbe");
    CODE(padding, "\ue9c8");
    CODE(pages, "\ue7f9");
    CODE(pageview, "\ue8a0");
    CODE(paid, "\uf041");
    CODE(palette, "\ue40a");
    CODE(pallet, "\uf86a");
    CODE(pan_tool, "\ue925");
    CODE(pan_tool_alt, "\uebb9");
    CODE(panorama, "\ue40b");
    CODE(panorama_fish_eye, "\ue40c");
    CODE(panorama_fisheye, "\ue40c");
    CODE(panorama_horizontal, "\ue40d");
    CODE(panorama_horizontal_select, "\uef60");
    CODE(panorama_photosphere, "\ue9c9");
    CODE(panorama_photosphere_select, "\ue9ca");
    CODE(panorama_vertical, "\ue40e");
    CODE(panorama_vertical_select, "\uef61");
    CODE(panorama_wide_angle, "\ue40f");
    CODE(panorama_wide_angle_select, "\uef62");
    CODE(paragliding, "\ue50f");
    CODE(park, "\uea63");
    CODE(party_mode, "\ue7fa");
    CODE(password, "\uf042");
    CODE(paste, "\uf098");
    CODE(pattern, "\uf043");
    CODE(pause, "\ue034");
    CODE(pause_circle, "\ue1a2");
    CODE(pause_circle_filled, "\ue035");
    CODE(pause_circle_outline, "\ue036");
    CODE(pause_presentation, "\ue0ea");
    CODE(payment, "\ue8a1");
    CODE(payments, "\uef63");
    CODE(paypal, "\uea8d");
    CODE(pedal_bike, "\ueb29");
    CODE(pending, "\uef64");
    CODE(pending_actions, "\uf1bb");
    CODE(pentagon, "\ueb50");
    CODE(people, "\ue7fb");
    CODE(people_alt, "\uea21");
    CODE(people_outline, "\ue7fc");
    CODE(percent, "\ueb58");
    CODE(perm_camera_mic, "\ue8a2");
    CODE(perm_contact_cal, "\ue8a3");
    CODE(perm_contact_calendar, "\ue8a3");
    CODE(perm_data_setting, "\ue8a4");
    CODE(perm_device_info, "\ue8a5");
    CODE(perm_device_information, "\ue8a5");
    CODE(perm_identity, "\ue8a6");
    CODE(perm_media, "\ue8a7");
    CODE(perm_phone_msg, "\ue8a8");
    CODE(perm_scan_wifi, "\ue8a9");
    CODE(person, "\ue7fd");
    CODE(person_2, "\uf8e4");
    CODE(person_3, "\uf8e5");
    CODE(person_4, "\uf8e6");
    CODE(person_add, "\ue7fe");
    CODE(person_add_alt, "\uea4d");
    CODE(person_add_alt_1, "\uef65");
    CODE(person_add_disabled, "\ue9cb");
    CODE(person_off, "\ue510");
    CODE(person_outline, "\ue7ff");
    CODE(person_pin, "\ue55a");
    CODE(person_pin_circle, "\ue56a");
    CODE(person_remove, "\uef66");
    CODE(person_remove_alt_1, "\uef67");
    CODE(person_search, "\uf106");
    CODE(personal_injury, "\ue6da");
    CODE(personal_video, "\ue63b");
    CODE(pest_control, "\uf0fa");
    CODE(pest_control_rodent, "\uf0fd");
    CODE(pets, "\ue91d");
    CODE(phishing, "\uead7");
    CODE(phone, "\ue0cd");
    CODE(phone_android, "\ue324");
    CODE(phone_bluetooth_speaker, "\ue61b");
    CODE(phone_callback, "\ue649");
    CODE(phone_disabled, "\ue9cc");
    CODE(phone_enabled, "\ue9cd");
    CODE(phone_forwarded, "\ue61c");
    CODE(phone_in_talk, "\ue61d");
    CODE(phone_iphone, "\ue325");
    CODE(phone_locked, "\ue61e");
    CODE(phone_missed, "\ue61f");
    CODE(phone_paused, "\ue620");
    CODE(phonelink, "\ue326");
    CODE(phonelink_erase, "\ue0db");
    CODE(phonelink_lock, "\ue0dc");
    CODE(phonelink_off, "\ue327");
    CODE(phonelink_ring, "\ue0dd");
    CODE(phonelink_setup, "\ue0de");
    CODE(photo, "\ue410");
    CODE(photo_album, "\ue411");
    CODE(photo_camera, "\ue412");
    CODE(photo_camera_back, "\uef68");
    CODE(photo_camera_front, "\uef69");
    CODE(photo_filter, "\ue43b");
    CODE(photo_library, "\ue413");
    CODE(photo_size_select_actual, "\ue432");
    CODE(photo_size_select_large, "\ue433");
    CODE(photo_size_select_small, "\ue434");
    CODE(php, "\ueb8f");
    CODE(piano, "\ue521");
    CODE(piano_off, "\ue520");
    CODE(picture_as_pdf, "\ue415");
    CODE(picture_in_picture, "\ue8aa");
    CODE(picture_in_picture_alt, "\ue911");
    CODE(pie_chart, "\ue6c4");
    CODE(pie_chart_outline, "\uf044");
    CODE(pie_chart_outlined, "\ue6c5");
    CODE(pin, "\uf045");
    CODE(pin_drop, "\ue55e");
    CODE(pin_end, "\ue767");
    CODE(pin_invoke, "\ue763");
    CODE(pinch, "\ueb38");
    CODE(pivot_table_chart, "\ue9ce");
    CODE(pix, "\ueaa3");
    CODE(place, "\ue55f");
    CODE(plagiarism, "\uea5a");
    CODE(play_arrow, "\ue037");
    CODE(play_circle, "\ue1c4");
    CODE(play_circle_fill, "\ue038");
    CODE(play_circle_filled, "\ue038");
    CODE(play_circle_outline, "\ue039");
    CODE(play_disabled, "\uef6a");
    CODE(play_for_work, "\ue906");
    CODE(play_lesson, "\uf047");
    CODE(playlist_add, "\ue03b");
    CODE(playlist_add_check, "\ue065");
    CODE(playlist_add_check_circle, "\ue7e6");
    CODE(playlist_add_circle, "\ue7e5");
    CODE(playlist_play, "\ue05f");
    CODE(playlist_remove, "\ueb80");
    CODE(plumbing, "\uf107");
    CODE(plus_one, "\ue800");
    CODE(podcasts, "\uf048");
    CODE(point_of_sale, "\uf17e");
    CODE(policy, "\uea17");
    CODE(poll, "\ue801");
    CODE(polyline, "\uebbb");
    CODE(polymer, "\ue8ab");
    CODE(pool, "\ueb48");
    CODE(portable_wifi_off, "\ue0ce");
    CODE(portrait, "\ue416");
    CODE(post_add, "\uea20");
    CODE(power, "\ue63c");
    CODE(power_input, "\ue336");
    CODE(power_off, "\ue646");
    CODE(power_settings_new, "\ue8ac");
    CODE(precision_manufacturing, "\uf049");
    CODE(pregnant_woman, "\ue91e");
    CODE(present_to_all, "\ue0df");
    CODE(preview, "\uf1c5");
    CODE(price_change, "\uf04a");
    CODE(price_check, "\uf04b");
    CODE(print, "\ue8ad");
    CODE(print_disabled, "\ue9cf");
    CODE(priority_high, "\ue645");
    CODE(privacy_tip, "\uf0dc");
    CODE(private_connectivity, "\ue744");
    CODE(production_quantity_limits, "\ue1d1");
    CODE(propane, "\uec14");
    CODE(propane_tank, "\uec13");
    CODE(psychology, "\uea4a");
    CODE(psychology_alt, "\uf8ea");
    CODE(public, "\ue80b");
    CODE(public_off, "\uf1ca");
    CODE(publish, "\ue255");
    CODE(published_with_changes, "\uf232");
    CODE(punch_clock, "\ueaa8");
    CODE(push_pin, "\uf10d");
    CODE(qr_code, "\uef6b");
    CODE(qr_code_2, "\ue00a");
    CODE(qr_code_scanner, "\uf206");
    CODE(query_builder, "\ue8ae");
    CODE(query_stats, "\ue4fc");
    CODE(question_answer, "\ue8af");
    CODE(question_mark, "\ueb8b");
    CODE(queue, "\ue03c");
    CODE(queue_music, "\ue03d");
    CODE(queue_play_next, "\ue066");
    CODE(quick_contacts_dialer, "\ue0cf");
    CODE(quick_contacts_mail, "\ue0d0");
    CODE(quickreply, "\uef6c");
    CODE(quiz, "\uf04c");
    CODE(quora, "\uea98");
    CODE(r_mobiledata, "\uf04d");
    CODE(radar, "\uf04e");
    CODE(radio, "\ue03e");
    CODE(radio_button_checked, "\ue837");
    CODE(radio_button_off, "\ue836");
    CODE(radio_button_on, "\ue837");
    CODE(radio_button_unchecked, "\ue836");
    CODE(railway_alert, "\ue9d1");
    CODE(ramen_dining, "\uea64");
    CODE(ramp_left, "\ueb9c");
    CODE(ramp_right, "\ueb96");
    CODE(rate_review, "\ue560");
    CODE(raw_off, "\uf04f");
    CODE(raw_on, "\uf050");
    CODE(read_more, "\uef6d");
    CODE(real_estate_agent, "\ue73a");
    CODE(rebase_edit, "\uf846");
    CODE(receipt, "\ue8b0");
    CODE(receipt_long, "\uef6e");
    CODE(recent_actors, "\ue03f");
    CODE(recommend, "\ue9d2");
    CODE(record_voice_over, "\ue91f");
    CODE(rectangle, "\ueb54");
    CODE(recycling, "\ue760");
    CODE(reddit, "\ueaa0");
    CODE(redeem, "\ue8b1");
    CODE(redo, "\ue15a");
    CODE(reduce_capacity, "\uf21c");
    CODE(refresh, "\ue5d5");
    CODE(remember_me, "\uf051");
    CODE(remove, "\ue15b");
    CODE(remove_circle, "\ue15c");
    CODE(remove_circle_outline, "\ue15d");
    CODE(remove_done, "\ue9d3");
    CODE(remove_from_queue, "\ue067");
    CODE(remove_moderator, "\ue9d4");
    CODE(remove_red_eye, "\ue417");
    CODE(remove_road, "\uebfc");
    CODE(remove_shopping_cart, "\ue928");
    CODE(reorder, "\ue8fe");
    CODE(repartition, "\uf8e8");
    CODE(repeat, "\ue040");
    CODE(repeat_on, "\ue9d6");
    CODE(repeat_one, "\ue041");
    CODE(repeat_one_on, "\ue9d7");
    CODE(replay, "\ue042");
    CODE(replay_10, "\ue059");
    CODE(replay_30, "\ue05a");
    CODE(replay_5, "\ue05b");
    CODE(replay_circle_filled, "\ue9d8");
    CODE(reply, "\ue15e");
    CODE(reply_all, "\ue15f");
    CODE(report, "\ue160");
    CODE(report_gmailerrorred, "\uf052");
    CODE(report_off, "\ue170");
    CODE(report_problem, "\ue8b2");
    CODE(request_page, "\uf22c");
    CODE(request_quote, "\uf1b6");
    CODE(reset_tv, "\ue9d9");
    CODE(restart_alt, "\uf053");
    CODE(restaurant, "\ue56c");
    CODE(restaurant_menu, "\ue561");
    CODE(restore, "\ue8b3");
    CODE(restore_from_trash, "\ue938");
    CODE(restore_page, "\ue929");
    CODE(reviews, "\uf054");
    CODE(rice_bowl, "\uf1f5");
    CODE(ring_volume, "\ue0d1");
    CODE(rocket, "\ueba5");
    CODE(rocket_launch, "\ueb9b");
    CODE(roller_shades, "\uec12");
    CODE(roller_shades_closed, "\uec11");
    CODE(roller_skating, "\uebcd");
    CODE(roofing, "\uf201");
    CODE(room, "\ue8b4");
    CODE(room_preferences, "\uf1b8");
    CODE(room_service, "\ueb49");
    CODE(rotate_90_degrees_ccw, "\ue418");
    CODE(rotate_90_degrees_cw, "\ueaab");
    CODE(rotate_left, "\ue419");
    CODE(rotate_right, "\ue41a");
    CODE(roundabout_left, "\ueb99");
    CODE(roundabout_right, "\ueba3");
    CODE(rounded_corner, "\ue920");
    CODE(route, "\ueacd");
    CODE(router, "\ue328");
    CODE(rowing, "\ue921");
    CODE(rss_feed, "\ue0e5");
    CODE(rsvp, "\uf055");
    CODE(rtt, "\ue9ad");
    CODE(rule, "\uf1c2");
    CODE(rule_folder, "\uf1c9");
    CODE(run_circle, "\uef6f");
    CODE(running_with_errors, "\ue51d");
    CODE(rv_hookup, "\ue642");
    CODE(safety_check, "\uebef");
    CODE(safety_divider, "\ue1cc");
    CODE(sailing, "\ue502");
    CODE(sanitizer, "\uf21d");
    CODE(satellite, "\ue562");
    CODE(satellite_alt, "\ueb3a");
    CODE(save, "\ue161");
    CODE(save_alt, "\ue171");
    CODE(save_as, "\ueb60");
    CODE(saved_search, "\uea11");
    CODE(savings, "\ue2eb");
    CODE(scale, "\ueb5f");
    CODE(scanner, "\ue329");
    CODE(scatter_plot, "\ue268");
    CODE(schedule, "\ue8b5");
    CODE(schedule_send, "\uea0a");
    CODE(schema, "\ue4fd");
    CODE(school, "\ue80c");
    CODE(science, "\uea4b");
    CODE(score, "\ue269");
    CODE(scoreboard, "\uebd0");
    CODE(screen_lock_landscape, "\ue1be");
    CODE(screen_lock_portrait, "\ue1bf");
    CODE(screen_lock_rotation, "\ue1c0");
    CODE(screen_rotation, "\ue1c1");
    CODE(screen_rotation_alt, "\uebee");
    CODE(screen_search_desktop, "\uef70");
    CODE(screen_share, "\ue0e2");
    CODE(screenshot, "\uf056");
    CODE(screenshot_monitor, "\uec08");
    CODE(scuba_diving, "\uebce");
    CODE(sd, "\ue9dd");
    CODE(sd_card, "\ue623");
    CODE(sd_card_alert, "\uf057");
    CODE(sd_storage, "\ue1c2");
    CODE(search, "\ue8b6");
    CODE(search_off, "\uea76");
    CODE(security, "\ue32a");
    CODE(security_update, "\uf058");
    CODE(security_update_good, "\uf059");
    CODE(security_update_warning, "\uf05a");
    CODE(segment, "\ue94b");
    CODE(select_all, "\ue162");
    CODE(self_improvement, "\uea78");
    CODE(sell, "\uf05b");
    CODE(send, "\ue163");
    CODE(send_and_archive, "\uea0c");
    CODE(send_time_extension, "\ueadb");
    CODE(send_to_mobile, "\uf05c");
    CODE(sensor_door, "\uf1b5");
    CODE(sensor_occupied, "\uec10");
    CODE(sensor_window, "\uf1b4");
    CODE(sensors, "\ue51e");
    CODE(sensors_off, "\ue51f");
    CODE(sentiment_dissatisfied, "\ue811");
    CODE(sentiment_neutral, "\ue812");
    CODE(sentiment_satisfied, "\ue813");
    CODE(sentiment_satisfied_alt, "\ue0ed");
    CODE(sentiment_very_dissatisfied, "\ue814");
    CODE(sentiment_very_satisfied, "\ue815");
    CODE(set_meal, "\uf1ea");
    CODE(settings, "\ue8b8");
    CODE(settings_accessibility, "\uf05d");
    CODE(settings_applications, "\ue8b9");
    CODE(settings_backup_restore, "\ue8ba");
    CODE(settings_bluetooth, "\ue8bb");
    CODE(settings_brightness, "\ue8bd");
    CODE(settings_cell, "\ue8bc");
    CODE(settings_display, "\ue8bd");
    CODE(settings_ethernet, "\ue8be");
    CODE(settings_input_antenna, "\ue8bf");
    CODE(settings_input_component, "\ue8c0");
    CODE(settings_input_composite, "\ue8c1");
    CODE(settings_input_hdmi, "\ue8c2");
    CODE(settings_input_svideo, "\ue8c3");
    CODE(settings_overscan, "\ue8c4");
    CODE(settings_phone, "\ue8c5");
    CODE(settings_power, "\ue8c6");
    CODE(settings_remote, "\ue8c7");
    CODE(settings_suggest, "\uf05e");
    CODE(settings_system_daydream, "\ue1c3");
    CODE(settings_voice, "\ue8c8");
    CODE(severe_cold, "\uebd3");
    CODE(shape_line, "\uf8d3");
    CODE(share, "\ue80d");
    CODE(share_arrival_time, "\ue524");
    CODE(share_location, "\uf05f");
    CODE(shelves, "\uf86e");
    CODE(shield, "\ue9e0");
    CODE(shield_moon, "\ueaa9");
    CODE(shop, "\ue8c9");
    CODE(shop_2, "\ue19e");
    CODE(shop_two, "\ue8ca");
    CODE(shopify, "\uea9d");
    CODE(shopping_bag, "\uf1cc");
    CODE(shopping_basket, "\ue8cb");
    CODE(shopping_cart, "\ue8cc");
    CODE(shopping_cart_checkout, "\ueb88");
    CODE(short_text, "\ue261");
    CODE(shortcut, "\uf060");
    CODE(show_chart, "\ue6e1");
    CODE(shower, "\uf061");
    CODE(shuffle, "\ue043");
    CODE(shuffle_on, "\ue9e1");
    CODE(shutter_speed, "\ue43d");
    CODE(sick, "\uf220");
    CODE(sign_language, "\uebe5");
    CODE(signal_cellular_0_bar, "\uf0a8");
    CODE(signal_cellular_1_bar, "\uf0a9");
    CODE(signal_cellular_2_bar, "\uf0aa");
    CODE(signal_cellular_3_bar, "\uf0ab");
    CODE(signal_cellular_4_bar, "\ue1c8");
    CODE(signal_cellular_alt, "\ue202");
    CODE(signal_cellular_alt_1_bar, "\uebdf");
    CODE(signal_cellular_alt_2_bar, "\uebe3");
    CODE(signal_cellular_connected_no_internet_0_bar, "\uf0ac");
    CODE(signal_cellular_connected_no_internet_1_bar, "\uf0ad");
    CODE(signal_cellular_connected_no_internet_2_bar, "\uf0ae");
    CODE(signal_cellular_connected_no_internet_3_bar, "\uf0af");
    CODE(signal_cellular_connected_no_internet_4_bar, "\ue1cd");
    CODE(signal_cellular_no_sim, "\ue1ce");
    CODE(signal_cellular_nodata, "\uf062");
    CODE(signal_cellular_null, "\ue1cf");
    CODE(signal_cellular_off, "\ue1d0");
    CODE(signal_wifi_0_bar, "\uf0b0");
    CODE(signal_wifi_1_bar, "\uf0b1");
    CODE(signal_wifi_1_bar_lock, "\uf0b2");
    CODE(signal_wifi_2_bar, "\uf0b3");
    CODE(signal_wifi_2_bar_lock, "\uf0b4");
    CODE(signal_wifi_3_bar, "\uf0b5");
    CODE(signal_wifi_3_bar_lock, "\uf0b6");
    CODE(signal_wifi_4_bar, "\ue1d8");
    CODE(signal_wifi_4_bar_lock, "\ue1d9");
    CODE(signal_wifi_bad, "\uf063");
    CODE(signal_wifi_connected_no_internet_0, "\uf0f2");
    CODE(signal_wifi_connected_no_internet_1, "\uf0ee");
    CODE(signal_wifi_connected_no_internet_2, "\uf0f1");
    CODE(signal_wifi_connected_no_internet_3, "\uf0ed");
    CODE(signal_wifi_connected_no_internet_4, "\uf064");
    CODE(signal_wifi_off, "\ue1da");
    CODE(signal_wifi_statusbar_1_bar, "\uf0e6");
    CODE(signal_wifi_statusbar_2_bar, "\uf0f0");
    CODE(signal_wifi_statusbar_3_bar, "\uf0ea");
    CODE(signal_wifi_statusbar_4_bar, "\uf065");
    CODE(signal_wifi_statusbar_connected_no_internet, "\uf0f8");
    CODE(signal_wifi_statusbar_connected_no_internet_1, "\uf0e9");
    CODE(signal_wifi_statusbar_connected_no_internet_2, "\uf0f7");
    CODE(signal_wifi_statusbar_connected_no_internet_3, "\uf0e8");
    CODE(signal_wifi_statusbar_connected_no_internet_4, "\uf066");
    CODE(signal_wifi_statusbar_not_connected, "\uf0ef");
    CODE(signal_wifi_statusbar_null, "\uf067");
    CODE(signpost, "\ueb91");
    CODE(sim_card, "\ue32b");
    CODE(sim_card_alert, "\ue624");
    CODE(sim_card_download, "\uf068");
    CODE(single_bed, "\uea48");
    CODE(sip, "\uf069");
    CODE(skateboarding, "\ue511");
    CODE(skip_next, "\ue044");
    CODE(skip_previous, "\ue045");
    CODE(sledding, "\ue512");
    CODE(slideshow, "\ue41b");
    CODE(slow_motion_video, "\ue068");
    CODE(smart_button, "\uf1c1");
    CODE(smart_display, "\uf06a");
    CODE(smart_screen, "\uf06b");
    CODE(smart_toy, "\uf06c");
    CODE(smartphone, "\ue32c");
    CODE(smoke_free, "\ueb4a");
    CODE(smoking_rooms, "\ueb4b");
    CODE(sms, "\ue625");
    CODE(sms_failed, "\ue626");
    CODE(snapchat, "\uea6e");
    CODE(snippet_folder, "\uf1c7");
    CODE(snooze, "\ue046");
    CODE(snowboarding, "\ue513");
    CODE(snowing, "\ue80f");
    CODE(snowmobile, "\ue503");
    CODE(snowshoeing, "\ue514");
    CODE(soap, "\uf1b2");
    CODE(social_distance, "\ue1cb");
    CODE(solar_power, "\uec0f");
    CODE(sort, "\ue164");
    CODE(sort_by_alpha, "\ue053");
    CODE(sos, "\uebf7");
    CODE(soup_kitchen, "\ue7d3");
    CODE(source, "\uf1c4");
    CODE(south, "\uf1e3");
    CODE(south_america, "\ue7e4");
    CODE(south_east, "\uf1e4");
    CODE(south_west, "\uf1e5");
    CODE(spa, "\ueb4c");
    CODE(space_bar, "\ue256");
    CODE(space_dashboard, "\ue66b");
    CODE(spatial_audio, "\uebeb");
    CODE(spatial_audio_off, "\uebe8");
    CODE(spatial_tracking, "\uebea");
    CODE(speaker, "\ue32d");
    CODE(speaker_group, "\ue32e");
    CODE(speaker_notes, "\ue8cd");
    CODE(speaker_notes_off, "\ue92a");
    CODE(speaker_phone, "\ue0d2");
    CODE(speed, "\ue9e4");
    CODE(spellcheck, "\ue8ce");
    CODE(splitscreen, "\uf06d");
    CODE(spoke, "\ue9a7");
    CODE(sports, "\uea30");
    CODE(sports_bar, "\uf1f3");
    CODE(sports_baseball, "\uea51");
    CODE(sports_basketball, "\uea26");
    CODE(sports_cricket, "\uea27");
    CODE(sports_esports, "\uea28");
    CODE(sports_football, "\uea29");
    CODE(sports_golf, "\uea2a");
    CODE(sports_gymnastics, "\uebc4");
    CODE(sports_handball, "\uea33");
    CODE(sports_hockey, "\uea2b");
    CODE(sports_kabaddi, "\uea34");
    CODE(sports_martial_arts, "\ueae9");
    CODE(sports_mma, "\uea2c");
    CODE(sports_motorsports, "\uea2d");
    CODE(sports_rugby, "\uea2e");
    CODE(sports_score, "\uf06e");
    CODE(sports_soccer, "\uea2f");
    CODE(sports_tennis, "\uea32");
    CODE(sports_volleyball, "\uea31");
    CODE(square, "\ueb36");
    CODE(square_foot, "\uea49");
    CODE(ssid_chart, "\ueb66");
    CODE(stacked_bar_chart, "\ue9e6");
    CODE(stacked_line_chart, "\uf22b");
    CODE(stadium, "\ueb90");
    CODE(stairs, "\uf1a9");
    CODE(star, "\ue838");
    CODE(star_border, "\ue83a");
    CODE(star_border_purple500, "\uf099");
    CODE(star_half, "\ue839");
    CODE(star_outline, "\uf06f");
    CODE(star_purple500, "\uf09a");
    CODE(star_rate, "\uf0ec");
    CODE(stars, "\ue8d0");
    CODE(start, "\ue089");
    CODE(stay_current_landscape, "\ue0d3");
    CODE(stay_current_portrait, "\ue0d4");
    CODE(stay_primary_landscape, "\ue0d5");
    CODE(stay_primary_portrait, "\ue0d6");
    CODE(sticky_note_2, "\uf1fc");
    CODE(stop, "\ue047");
    CODE(stop_circle, "\uef71");
    CODE(stop_screen_share, "\ue0e3");
    CODE(storage, "\ue1db");
    CODE(store, "\ue8d1");
    CODE(store_mall_directory, "\ue563");
    CODE(storefront, "\uea12");
    CODE(storm, "\uf070");
    CODE(straight, "\ueb95");
    CODE(straighten, "\ue41c");
    CODE(stream, "\ue9e9");
    CODE(streetview, "\ue56e");
    CODE(strikethrough_s, "\ue257");
    CODE(stroller, "\uf1ae");
    CODE(style, "\ue41d");
    CODE(subdirectory_arrow_left, "\ue5d9");
    CODE(subdirectory_arrow_right, "\ue5da");
    CODE(subject, "\ue8d2");
    CODE(subscript, "\uf111");
    CODE(subscriptions, "\ue064");
    CODE(subtitles, "\ue048");
    CODE(subtitles_off, "\uef72");
    CODE(subway, "\ue56f");
    CODE(summarize, "\uf071");
    CODE(sunny, "\ue81a");
    CODE(sunny_snowing, "\ue819");
    CODE(superscript, "\uf112");
    CODE(supervised_user_circle, "\ue939");
    CODE(supervisor_account, "\ue8d3");
    CODE(support, "\uef73");
    CODE(support_agent, "\uf0e2");
    CODE(surfing, "\ue515");
    CODE(surround_sound, "\ue049");
    CODE(swap_calls, "\ue0d7");
    CODE(swap_horiz, "\ue8d4");
    CODE(swap_horizontal_circle, "\ue933");
    CODE(swap_vert, "\ue8d5");
    CODE(swap_vert_circle, "\ue8d6");
    CODE(swap_vertical_circle, "\ue8d6");
    CODE(swipe, "\ue9ec");
    CODE(swipe_down, "\ueb53");
    CODE(swipe_down_alt, "\ueb30");
    CODE(swipe_left, "\ueb59");
    CODE(swipe_left_alt, "\ueb33");
    CODE(swipe_right, "\ueb52");
    CODE(swipe_right_alt, "\ueb56");
    CODE(swipe_up, "\ueb2e");
    CODE(swipe_up_alt, "\ueb35");
    CODE(swipe_vertical, "\ueb51");
    CODE(switch_access_shortcut, "\ue7e1");
    CODE(switch_access_shortcut_add, "\ue7e2");
    CODE(switch_account, "\ue9ed");
    CODE(switch_camera, "\ue41e");
    CODE(switch_left, "\uf1d1");
    CODE(switch_right, "\uf1d2");
    CODE(switch_video, "\ue41f");
    CODE(synagogue, "\ueab0");
    CODE(sync, "\ue627");
    CODE(sync_alt, "\uea18");
    CODE(sync_disabled, "\ue628");
    CODE(sync_lock, "\ueaee");
    CODE(sync_problem, "\ue629");
    CODE(system_security_update, "\uf072");
    CODE(system_security_update_good, "\uf073");
    CODE(system_security_update_warning, "\uf074");
    CODE(system_update, "\ue62a");
    CODE(system_update_alt, "\ue8d7");
    CODE(system_update_tv, "\ue8d7");
    CODE(tab, "\ue8d8");
    CODE(tab_unselected, "\ue8d9");
    CODE(table_bar, "\uead2");
    CODE(table_chart, "\ue265");
    CODE(table_restaurant, "\ueac6");
    CODE(table_rows, "\uf101");
    CODE(table_view, "\uf1be");
    CODE(tablet, "\ue32f");
    CODE(tablet_android, "\ue330");
    CODE(tablet_mac, "\ue331");
    CODE(tag, "\ue9ef");
    CODE(tag_faces, "\ue420");
    CODE(takeout_dining, "\uea74");
    CODE(tap_and_play, "\ue62b");
    CODE(tapas, "\uf1e9");
    CODE(task, "\uf075");
    CODE(task_alt, "\ue2e6");
    CODE(taxi_alert, "\uef74");
    CODE(telegram, "\uea6b");
    CODE(temple_buddhist, "\ueab3");
    CODE(temple_hindu, "\ueaaf");
    CODE(terminal, "\ueb8e");
    CODE(terrain, "\ue564");
    CODE(text_decrease, "\ueadd");
    CODE(text_fields, "\ue262");
    CODE(text_format, "\ue165");
    CODE(text_increase, "\ueae2");
    CODE(text_rotate_up, "\ue93a");
    CODE(text_rotate_vertical, "\ue93b");
    CODE(text_rotation_angledown, "\ue93c");
    CODE(text_rotation_angleup, "\ue93d");
    CODE(text_rotation_down, "\ue93e");
    CODE(text_rotation_none, "\ue93f");
    CODE(text_snippet, "\uf1c6");
    CODE(textsms, "\ue0d8");
    CODE(texture, "\ue421");
    CODE(theater_comedy, "\uea66");
    CODE(theaters, "\ue8da");
    CODE(thermostat, "\uf076");
    CODE(thermostat_auto, "\uf077");
    CODE(thumb_down, "\ue8db");
    CODE(thumb_down_alt, "\ue816");
    CODE(thumb_down_off_alt, "\ue9f2");
    CODE(thumb_up, "\ue8dc");
    CODE(thumb_up_alt, "\ue817");
    CODE(thumb_up_off_alt, "\ue9f3");
    CODE(thumbs_up_down, "\ue8dd");
    CODE(thunderstorm, "\uebdb");
    CODE(tiktok, "\uea7e");
    CODE(time_to_leave, "\ue62c");
    CODE(timelapse, "\ue422");
    CODE(timeline, "\ue922");
    CODE(timer, "\ue425");
    CODE(timer_10, "\ue423");
    CODE(timer_10_select, "\uf07a");
    CODE(timer_3, "\ue424");
    CODE(timer_3_select, "\uf07b");
    CODE(timer_off, "\ue426");
    CODE(tips_and_updates, "\ue79a");
    CODE(tire_repair, "\uebc8");
    CODE(title, "\ue264");
    CODE(toc, "\ue8de");
    CODE(today, "\ue8df");
    CODE(toggle_off, "\ue9f5");
    CODE(toggle_on, "\ue9f6");
    CODE(token, "\uea25");
    CODE(toll, "\ue8e0");
    CODE(tonality, "\ue427");
    CODE(topic, "\uf1c8");
    CODE(tornado, "\ue199");
    CODE(touch_app, "\ue913");
    CODE(tour, "\uef75");
    CODE(toys, "\ue332");
    CODE(track_changes, "\ue8e1");
    CODE(traffic, "\ue565");
    CODE(train, "\ue570");
    CODE(tram, "\ue571");
    CODE(transcribe, "\uf8ec");
    CODE(transfer_within_a_station, "\ue572");
    CODE(transform, "\ue428");
    CODE(transgender, "\ue58d");
    CODE(transit_enterexit, "\ue579");
    CODE(translate, "\ue8e2");
    CODE(travel_explore, "\ue2db");
    CODE(trending_down, "\ue8e3");
    CODE(trending_flat, "\ue8e4");
    CODE(trending_neutral, "\ue8e4");
    CODE(trending_up, "\ue8e5");
    CODE(trip_origin, "\ue57b");
    CODE(trolley, "\uf86b");
    CODE(troubleshoot, "\ue1d2");
    CODE(try, "\uf07c");
    CODE(tsunami, "\uebd8");
    CODE(tty, "\uf1aa");
    CODE(tune, "\ue429");
    CODE(tungsten, "\uf07d");
    CODE(turn_left, "\ueba6");
    CODE(turn_right, "\uebab");
    CODE(turn_sharp_left, "\ueba7");
    CODE(turn_sharp_right, "\uebaa");
    CODE(turn_slight_left, "\ueba4");
    CODE(turn_slight_right, "\ueb9a");
    CODE(turned_in, "\ue8e6");
    CODE(turned_in_not, "\ue8e7");
    CODE(tv, "\ue333");
    CODE(tv_off, "\ue647");
    CODE(two_wheeler, "\ue9f9");
    CODE(type_specimen, "\uf8f0");
    CODE(u_turn_left, "\ueba1");
    CODE(u_turn_right, "\ueba2");
    CODE(umbrella, "\uf1ad");
    CODE(unarchive, "\ue169");
    CODE(undo, "\ue166");
    CODE(unfold_less, "\ue5d6");
    CODE(unfold_less_double, "\uf8cf");
    CODE(unfold_more, "\ue5d7");
    CODE(unfold_more_double, "\uf8d0");
    CODE(unpublished, "\uf236");
    CODE(unsubscribe, "\ue0eb");
    CODE(upcoming, "\uf07e");
    CODE(update, "\ue923");
    CODE(update_disabled, "\ue075");
    CODE(upgrade, "\uf0fb");
    CODE(upload, "\uf09b");
    CODE(upload_file, "\ue9fc");
    CODE(usb, "\ue1e0");
    CODE(usb_off, "\ue4fa");
    CODE(vaccines, "\ue138");
    CODE(vape_free, "\uebc6");
    CODE(vaping_rooms, "\uebcf");
    CODE(verified, "\uef76");
    CODE(verified_user, "\ue8e8");
    CODE(vertical_align_bottom, "\ue258");
    CODE(vertical_align_center, "\ue259");
    CODE(vertical_align_top, "\ue25a");
    CODE(vertical_distribute, "\ue076");
    CODE(vertical_shades, "\uec0e");
    CODE(vertical_shades_closed, "\uec0d");
    CODE(vertical_split, "\ue949");
    CODE(vibration, "\ue62d");
    CODE(video_call, "\ue070");
    CODE(video_camera_back, "\uf07f");
    CODE(video_camera_front, "\uf080");
    CODE(video_chat, "\uf8a0");
    CODE(video_collection, "\ue04a");
    CODE(video_file, "\ueb87");
    CODE(video_label, "\ue071");
    CODE(video_library, "\ue04a");
    CODE(video_settings, "\uea75");
    CODE(video_stable, "\uf081");
    CODE(videocam, "\ue04b");
    CODE(videocam_off, "\ue04c");
    CODE(videogame_asset, "\ue338");
    CODE(videogame_asset_off, "\ue500");
    CODE(view_agenda, "\ue8e9");
    CODE(view_array, "\ue8ea");
    CODE(view_carousel, "\ue8eb");
    CODE(view_column, "\ue8ec");
    CODE(view_comfortable, "\ue42a");
    CODE(view_comfy, "\ue42a");
    CODE(view_comfy_alt, "\ueb73");
    CODE(view_compact, "\ue42b");
    CODE(view_compact_alt, "\ueb74");
    CODE(view_cozy, "\ueb75");
    CODE(view_day, "\ue8ed");
    CODE(view_headline, "\ue8ee");
    CODE(view_in_ar, "\ue9fe");
    CODE(view_kanban, "\ueb7f");
    CODE(view_list, "\ue8ef");
    CODE(view_module, "\ue8f0");
    CODE(view_quilt, "\ue8f1");
    CODE(view_sidebar, "\uf114");
    CODE(view_stream, "\ue8f2");
    CODE(view_timeline, "\ueb85");
    CODE(view_week, "\ue8f3");
    CODE(vignette, "\ue435");
    CODE(villa, "\ue586");
    CODE(visibility, "\ue8f4");
    CODE(visibility_off, "\ue8f5");
    CODE(voice_chat, "\ue62e");
    CODE(voice_over_off, "\ue94a");
    CODE(voicemail, "\ue0d9");
    CODE(volcano, "\uebda");
    CODE(volume_down, "\ue04d");
    CODE(volume_down_alt, "\ue79c");
    CODE(volume_mute, "\ue04e");
    CODE(volume_off, "\ue04f");
    CODE(volume_up, "\ue050");
    CODE(volunteer_activism, "\uea70");
    CODE(vpn_key, "\ue0da");
    CODE(vpn_key_off, "\ueb7a");
    CODE(vpn_lock, "\ue62f");
    CODE(vrpano, "\uf082");
    CODE(wallet, "\uf8ff");
    CODE(wallet_giftcard, "\ue8f6");
    CODE(wallet_membership, "\ue8f7");
    CODE(wallet_travel, "\ue8f8");
    CODE(wallpaper, "\ue1bc");
    CODE(warehouse, "\uebb8");
    CODE(warning, "\ue002");
    CODE(warning_amber, "\uf083");
    CODE(wash, "\uf1b1");
    CODE(watch, "\ue334");
    CODE(watch_later, "\ue924");
    CODE(watch_off, "\ueae3");
    CODE(water, "\uf084");
    CODE(water_damage, "\uf203");
    CODE(water_drop, "\ue798");
    CODE(waterfall_chart, "\uea00");
    CODE(waves, "\ue176");
    CODE(waving_hand, "\ue766");
    CODE(wb_auto, "\ue42c");
    CODE(wb_cloudy, "\ue42d");
    CODE(wb_incandescent, "\ue42e");
    CODE(wb_iridescent, "\ue436");
    CODE(wb_shade, "\uea01");
    CODE(wb_sunny, "\ue430");
    CODE(wb_twighlight, "\uea02");
    CODE(wb_twilight, "\ue1c6");
    CODE(wc, "\ue63d");
    CODE(web, "\ue051");
    CODE(web_asset, "\ue069");
    CODE(web_asset_off, "\ue4f7");
    CODE(web_stories, "\ue595");
    CODE(webhook, "\ueb92");
    CODE(wechat, "\uea81");
    CODE(weekend, "\ue16b");
    CODE(west, "\uf1e6");
    CODE(whatshot, "\ue80e");
    CODE(wheelchair_pickup, "\uf1ab");
    CODE(where_to_vote, "\ue177");
    CODE(widgets, "\ue1bd");
    CODE(width_full, "\uf8f5");
    CODE(width_normal, "\uf8f6");
    CODE(width_wide, "\uf8f7");
    CODE(wifi, "\ue63e");
    CODE(wifi_1_bar, "\ue4ca");
    CODE(wifi_2_bar, "\ue4d9");
    CODE(wifi_calling, "\uef77");
    CODE(wifi_calling_1, "\uf0e7");
    CODE(wifi_calling_2, "\uf0f6");
    CODE(wifi_calling_3, "\uf085");
    CODE(wifi_channel, "\ueb6a");
    CODE(wifi_find, "\ueb31");
    CODE(wifi_lock, "\ue1e1");
    CODE(wifi_off, "\ue648");
    CODE(wifi_password, "\ueb6b");
    CODE(wifi_protected_setup, "\uf0fc");
    CODE(wifi_tethering, "\ue1e2");
    CODE(wifi_tethering_error, "\uead9");
    CODE(wifi_tethering_error_rounded, "\uf086");
    CODE(wifi_tethering_off, "\uf087");
    CODE(wind_power, "\uec0c");
    CODE(window, "\uf088");
    CODE(wine_bar, "\uf1e8");
    CODE(woman, "\ue13e");
    CODE(woman_2, "\uf8e7");
    CODE(woo_commerce, "\uea6d");
    CODE(wordpress, "\uea9f");
    CODE(work, "\ue8f9");
    CODE(work_history, "\uec09");
    CODE(work_off, "\ue942");
    CODE(work_outline, "\ue943");
    CODE(workspace_premium, "\ue7af");
    CODE(workspaces, "\ue1a0");
    CODE(workspaces_filled, "\uea0d");
    CODE(workspaces_outline, "\uea0f");
    CODE(wrap_text, "\ue25b");
    CODE(wrong_location, "\uef78");
    CODE(wysiwyg, "\uf1c3");
    CODE(yard, "\uf089");
    CODE(youtube_searched_for, "\ue8fa");
    CODE(zoom_in, "\ue8ff");
    CODE(zoom_in_map, "\ueb2d");
    CODE(zoom_out, "\ue900");
    CODE(zoom_out_map, "\ue56b");
};

auto create_icon_token(QObject* parent) -> IconToken*;
} // namespace qml_material::token

#undef CODE
