
#include "qcm_interface/model.h"
#include "json_helper/helper.inl"
#include <QObject>

#include "qcm_interface/model.h"


namespace qcm::model { class BusyInfo; }
namespace qcm::model {

template<>
class Model<qcm::model::BusyInfo, QObject>::Private {
public:
bool load_session;
};


// Helper
template<>
struct Model<qcm::model::BusyInfo, QObject>::Helper {
    template<bool B, typename T>
    static void copy_assign(T& self, const T& m) {
        if constexpr(B) {
            *(self.m_ptr) = *(m.m_ptr);
        }
    }
    template<bool B, typename T>
    static void move_assign(T& self, T&& m) {
        if constexpr(B) {
            std::swap(self.m_ptr, m.m_ptr);
        }
    }
    template<typename T>
    static bool partial_equal(const T& self, const T& m) {
        if constexpr(ycore::has_equal_operator<decltype(self.d_func()->load_session)>) { if(!(self.d_func()->load_session == m.d_func()->load_session)) return false; }
        return true;
    }
};


template<>
C_DECL_EXPORT Model<qcm::model::BusyInfo, QObject>::Model() : m_ptr(make_up<Private>()) {}

template<>
C_DECL_EXPORT Model<qcm::model::BusyInfo, QObject>::~Model() {}


template<>
C_DECL_EXPORT void Model<qcm::model::BusyInfo, QObject>::assign(const Model& m) {
    Helper::copy_assign<std::is_move_assignable_v<Base> && !false>(*this, m);
}
template<>
C_DECL_EXPORT void Model<qcm::model::BusyInfo, QObject>::assign(Model&& m) noexcept {
    Helper::move_assign<std::is_move_assignable_v<Base> && !false>(*this, std::move(m));
}
template<>
C_DECL_EXPORT bool Model<qcm::model::BusyInfo, QObject>::operator==(const Model& m) const {
    return Helper::partial_equal(*this, m);
}


template<>
void Model<qcm::model::BusyInfo, QObject>::from_json(const json::njson& j) {
j.at("load_session"sv).get_to(as_ref(m_ptr->load_session));
}

template<>
void Model<qcm::model::BusyInfo, QObject>::to_json(json::njson& j) const {
j["load_session"sv] = as_ref(m_ptr->load_session);
}



}



#include "/build/qcm-git/src/Qcm/qcm_interface/include/qcm_interface/model/busy_info.h"

namespace qcm::model {

auto BusyInfo::load_session() const -> to_param<bool> {
    auto d = qcm::model::Model<BusyInfo, QObject>::d_func();
    return d->load_session;
}

void BusyInfo::set_load_session(to_param<bool> val) {
    auto d = qcm::model::Model<BusyInfo, QObject>::d_func();
    auto& p = d->load_session;
    if(val != p) {
        p = val;
        Q_EMIT load_session_changed();
    }
}

}
